var AlibbPersonalPage = (function () {
    function AlibbPersonalPage() {
        this.OrderWithExpress = [];
    }
    AlibbPersonalPage.prototype.Init = function () {
        console.log("AlibbPersonalPage -begin");
        var that = this;
        function myFunction() {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                ModuleManager.Instance.cgOrderInfoModule.Init();
                window.clearInterval(that.TaskTimer);
            }
        }
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
            that.isCaigou = data.isCaigou;
            that.isExpress = data.isExpress;
            if (data.isCaigou) {
                that.TaskTimer = window.setInterval(myFunction, 1000);
            }
            that.ToDoSomething();
        });
    };
    AlibbPersonalPage.prototype.getNiceName = function (callback) {
        var name = '';
        var userElement = document.querySelector('span.account-id a');
        if (userElement) {
            name = userElement.title;
        }
        if (callback) {
            callback(name);
        }
    };
    AlibbPersonalPage.prototype.ToDoSomething = function () {
        var that = this;
        that.getNiceName(function (name) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetAlibbSelectCgNumber, name, function (selectAlibbCgNumberJson) {
                if (selectAlibbCgNumberJson != null && selectAlibbCgNumberJson.name != "") {
                    var selectAlibbNumber = selectAlibbCgNumberJson.name;
                    if (selectAlibbNumber == name) {
                        if (that.isCaigou) {
                            that.ToCaigou();
                        }
                        else if (that.isExpress) {
                            that.ToGetExpress();
                        }
                    }
                    else {
                        window.location.href = "https://login.taobao.com/?redirect_url=https%3A%2F%2Flogin.1688.com%2Fmember%2Fjump.htm%3Ftarget%3Dhttps%253A%252F%252Flogin.1688.com%252Fmember%252FmarketSigninJump.htm%253FDone%253Dhttps%25253A%25252F%25252Fwork.1688.com%25252Fhome%25252Fpage%25252Findex.htm&style=tao_custom&from=1688web";
                    }
                }
                else {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetAlibbSelectCgNumber, name, function () { });
                }
            });
        });
    };
    AlibbPersonalPage.prototype.getCookie = function (name) {
        var strcookie = document.cookie;
        var arrcookie = strcookie.split("; ");
        for (var i = 0; i < arrcookie.length; i++) {
            var arr = arrcookie[i].split("=");
            if (arr[0] == name) {
                return arr[1];
            }
        }
        return "";
    };
    AlibbPersonalPage.prototype.ToCaigou = function () {
        var that = this;
        var mobile = that.getCookie("mobile");
        var accessToken = that.getCookie("PDDAccessToken");
        var userId = that.getCookie("pdd_user_id");
        var verifyAuthToken = localStorage.VerifyAuthToken;
        var cookies = document.cookie;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            var infos = currentCginfo.YangkeduoCaiGouOrderInfos[0];
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetProvinceCityCountyCode, null, function (data) {
                if (data != false) {
                    var name = infos.ReceiverName;
                    var mobile = infos.ReceiverPhone;
                    var address = data.Address;
                    var province_id = data.ProvinceId;
                    var city_id = data.CityId;
                    var district_id = data.CountryId;
                    var addressId = localStorage.getItem('PddAddressId' + that.buyer);
                }
                else {
                    window.location.href = "https://mobile.yangkeduo.com/addresses.html";
                }
            });
        });
    };
    AlibbPersonalPage.prototype.ToGetExpress = function () {
        console.log("获取运单号开始");
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            var firstcgOrderCode = currentCginfo.YangkeduoCaiGouOrderInfos[0].CgOrderCode;
            window.location.href = "https://mobile.yangkeduo.com/order.html?order_sn=" + firstcgOrderCode;
        });
    };
    return AlibbPersonalPage;
}());
if (typeof (_AlibbPersonalPage) == "undefined") {
    _AlibbPersonalPage = true;
    console.log("AlibbPersonalPage - begin");
    new AlibbPersonalPage().Init();
}
