class FXGJTaobaoPage {
    constructor() {
    }
    Init() {
        const that = this;
        var applyConsignmentEvent = new CustomEvent('loadContentJsEndEvent', {
            detail: {}
        });
        window.dispatchEvent(applyConsignmentEvent);
        that.BindDomEvent();
        window.removeEventListener("LoadContentJsNewEvent", this.OnLoadContentJsEvent);
        window.addEventListener("LoadContentJsNewEvent", this.OnLoadContentJsEvent);
        window.removeEventListener("ApplyConsignmentNewEvent", this.OnApplyConsignmentEvent);
        window.addEventListener("ApplyConsignmentNewEvent", this.OnApplyConsignmentEvent);
        window.removeEventListener("ApplyConsignmentOfMemberIdNewEvent", this.OnApplyConsignmentOfMemberIdEvent);
        window.addEventListener("ApplyConsignmentOfMemberIdNewEvent", this.OnApplyConsignmentOfMemberIdEvent);
        window.removeEventListener("Open1688DetailNewEvent", this.OnOpen1688DetailEvent);
        window.addEventListener("Open1688DetailNewEvent", this.OnOpen1688DetailEvent);
    }
    BindDomEvent() {
        let timer_apply = window.setInterval(function () {
            if ($('#completeCoolectionAddSupplier').length > 0) {
                if (!$('#completeCoolectionAddSupplier1').hasClass("layui-hide")) {
                    $('#completeCoolectionAddSupplier1').addClass("layui-hide");
                    $('#completeCoolectionAddSupplier').removeClass("layui-hide");
                    $('#completeCoolectionAddSupplier').off("click").on("click", function () {
                        Main.Instance.applyConsignmentType = 1;
                        $('#completeCoolectionAddSupplierHide').click();
                    });
                }
            }
        }, 500);
        sessionStorage.setItem("timer_apply", timer_apply.toString());
        let timer_kewordSearch = setInterval(function () {
            if ($('#kewordCollectionBeginSearch').length > 0) {
                if (!$('#kewordCollectionBeginSearch').hasClass("isInit")) {
                    $('#isInstall').val(1);
                    $('#kewordCollectionBeginSearch').addClass("isInit");
                    $('#kewordCollectionBeginSearch').off('click').on("click", function () {
                        $('#kewordCollectionBeginSearchHide').click();
                    });
                }
            }
        }, 500);
        sessionStorage.setItem("timer_kewordSearch", timer_kewordSearch.toString());
    }
    OnLoadContentJsEvent(event) {
        console.log("OnLoadContentJsEvent", event);
        if (event != null && event.detail != null) {
            var loadApplyJsEndEvent = new CustomEvent('loadApplyJsEndEvent', {
                detail: {}
            });
            window.dispatchEvent(loadApplyJsEndEvent);
            var LoadOpen1688DetailEndEvent = new CustomEvent('LoadOpen1688DetailEndEvent', {
                detail: {}
            });
            window.dispatchEvent(LoadOpen1688DetailEndEvent);
        }
    }
    OnApplyConsignmentEvent(event) {
        console.log("OnApplyConsignmentEvent", event);
        if (event != null && event.detail != null && event.detail.itemList != null && event.detail.itemList.length > 0) {
            Main.Instance.applyConsignmentType++;
            let request = new ExtensionShortMessage.ApplyConsignmentRequest();
            request.ItemUrlList = event.detail.itemList;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ApplyConsignment, request, function (data) {
            });
        }
    }
    OnApplyConsignmentOfMemberIdEvent(event) {
        console.log("OnApplyConsignmentOfMemberIdEvent", event);
        if (event != null && event.detail != null && event.detail.memberId != null) {
            let request = new ExtensionShortMessage.SendPddUrlListRequest();
            request.Type = event.detail.type;
            request.List = event.detail.list;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddUrlList, request, function (data) {
            });
        }
    }
    OnOpen1688DetailEvent(event) {
        console.log("OnOpen1688DetailEvent", event);
        if (event != null && event.detail != null && event.detail.itemList != null && event.detail.itemList.length > 0) {
            let request = new ExtensionShortMessage.GetDistributionLinksAndClickRequest();
            request.ItemIDList = event.detail.itemList;
            request.PlatID = 1;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetDistributionLinksAndClick, request, function (data) {
            });
        }
    }
}
if (typeof (_FXGJTaobaoPage) == "undefined") {
    _FXGJTaobaoPage = true;
    console.log("FXGJTaobaoPage - begin");
    new FXGJTaobaoPage().Init();
}
