var SSDZGoodsPage = (function () {
    function SSDZGoodsPage() {
    }
    SSDZGoodsPage.prototype.Init = function () {
        var that = this;
        window.removeEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.addEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.removeEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.addEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.removeEventListener("PddGrabTaskEvent", this.OnPddGrabTaskEvent);
        window.addEventListener("PddGrabTaskEvent", this.OnPddGrabTaskEvent);
        window.removeEventListener("GetPriceCalculateFactorsEvent", this.GetPriceCalculateFactorsEvent);
        window.addEventListener("GetPriceCalculateFactorsEvent", this.GetPriceCalculateFactorsEvent);
    };
    SSDZGoodsPage.prototype.OnPddUrlListEvent = function (event) {
        console.log("OnPddUrlListEvent", event);
        if (event != null && event.detail != null && event.detail.type > 0 && event.detail.list != null && event.detail.list.length > 0) {
            var request = new ExtensionShortMessage.SendPddUrlListRequest();
            request.Type = event.detail.type;
            request.List = event.detail.list;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddUrlList, request, function (data) {
            });
        }
    };
    SSDZGoodsPage.prototype.NeedLoginEvent = function (event) {
        console.log("NeedLoginEvent", event);
        if (event != null && event.detail != null && event.detail.type > 0) {
            var request = new ExtensionShortMessage.OpenLoginPageRequest();
            request.type = event.detail.type;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.OpenLoginPage, request, function (data) {
            });
        }
    };
    SSDZGoodsPage.prototype.OnPddGrabTaskEvent = function (event) {
        console.log("OnPddGrabTaskEvent", event);
        if (event != null && event.detail != null && event.detail.userinfo != null) {
            var request = new ExtensionShortMessage.SendPddGrabTaskRequest();
            request.UserInfo = event.detail.userinfo;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddGrabTask, request, function (data) {
            });
        }
    };
    SSDZGoodsPage.prototype.GetPriceCalculateFactorsEvent = function (event) {
        console.log("GetPriceCalculateFactorsEvent", event);
        if (event != null && event.detail != null && event.detail.sellername != null) {
            var request = new ExtensionShortMessage.GetDataOfShopeeRequest();
            request.Type = 1;
            request.SellerName = event.detail.sellername;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetDataOfShopee, request, function (data) {
            });
        }
    };
    return SSDZGoodsPage;
}());
if (typeof (_SSDZGoodsPage) == "undefined") {
    _SSDZGoodsPage = true;
    console.log("SSDZGoodsPage - begin");
    new SSDZGoodsPage().Init();
}
