var TaobaoAddressPage = (function () {
    function TaobaoAddressPage() {
        this.addressEdit = false;
    }
    TaobaoAddressPage.prototype.Init = function () {
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
            if (data.isCaigou) {
                Utils.Instance.openLoding("地址检测中...", function () {
                    that.TaskTimer = window.setInterval(myFunction, 500);
                    that.TaskTimer1 = window.setInterval(myFunction1, 100);
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetYangkeduoAddress, null, function (currCaigouInfo) {
                        that.currCaigouOrderInfo = currCaigouInfo.YangkeduoCaiGouOrderInfos[0];
                        that.receiverName = that.currCaigouOrderInfo.ReceiverName;
                        that.receiverPhone = that.currCaigouOrderInfo.ReceiverPhone;
                        that.receiverAddress = that.currCaigouOrderInfo.ReceiverAddress;
                        that.cgUrl = that.currCaigouOrderInfo.CgUrl;
                        that.setAddress();
                    });
                });
            }
        });
        function myFunction() {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                ModuleManager.Instance.cgOrderInfoModule.Init();
                window.clearInterval(that.TaskTimer);
            }
        }
        function myFunction1() {
            if (document.getElementsByClassName("next-message-title").length > 0) {
                if (document.getElementsByClassName("next-message-title")[0].innerHTML.indexOf("操作成功"))
                    that.addressEdit = true;
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, true, function () {
                    window.location.href = that.cgUrl + "&addressSuccess=true";
                });
                window.clearInterval(that.TaskTimer1);
            }
        }
    };
    TaobaoAddressPage.prototype.MoNiClickSetAddress = function () {
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoAddressSuccess, null, function (body) {
            that.addressEdit = body;
            if (that.addressEdit == false) {
                var thishref = window.location.href;
                if (thishref.indexOf("addrId") > -1) {
                    if (that.GetQueryValue("addrId") != "") {
                        that.setDirect();
                    }
                    else {
                        that.CheckHistoryAddress(function () {
                            that.setDirect();
                        });
                    }
                }
                else {
                    that.CheckHistoryAddress(function () {
                        that.setDirect();
                    });
                }
            }
            else {
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, true, function (body) { });
                window.location.href = that.cgUrl + "&addressSuccess=true";
            }
        });
    };
    TaobaoAddressPage.prototype.GetQueryValue = function (queryName) {
        var query = decodeURI(window.location.search.substring(1));
        var vars = query.split("&");
        for (var i = 0; i < vars.length; i++) {
            var pair = vars[i].split("=");
            if (pair[0] == queryName) {
                return pair[1];
            }
        }
        return null;
    };
    TaobaoAddressPage.prototype.CheckHistoryAddress = function (callback) {
        if (document.getElementsByClassName("next-table-row").length > 0) {
            document.getElementsByClassName("next-table-row")[0].children[5].children[0].children[0].children[0].children[0].click();
        }
        if (callback) {
            callback();
        }
    };
    TaobaoAddressPage.prototype.setDirect = function () {
        var that = this;
        setTimeout(function () {
            that.setTbNameJs('.next-input.next-medium #fullName', that.receiverName, function () {
                setTimeout(function () {
                    that.setTbNameJs('.next-input.next-medium #mobile', that.receiverPhone, function () {
                        setTimeout(function () {
                            that.setTbNameJs('.next-input.next-medium #post', '000000', function () {
                                setTimeout(function () {
                                    that.setTbShortAddress(that.receiverAddress, function (address) {
                                        that.setTbNameJs('.cndzk-entrance-associate-area-textarea', address, function () {
                                            setTimeout(function () {
                                                that.setTbAddressEditNewJs();
                                            }, 500);
                                        });
                                    });
                                }, 150);
                            });
                        }, 150);
                    });
                }, 150);
            });
        }, 150);
    };
    TaobaoAddressPage.prototype.setTbNameJs = function (code, value, callback) {
        var that = this;
        var node = document.querySelector(code);
        if (node) {
            document.querySelector(code).focus();
            document.querySelector(code).value = '';
            document.execCommand('insertText', false, value);
        }
        if (callback) {
            callback(that);
        }
    };
    TaobaoAddressPage.prototype.setTbShortAddress = function (address, callback) {
        try {
            var newAddress = address;
            if (newAddress.indexOf(' ') > -1) {
                var adddressArry = newAddress.split(' ');
                if (adddressArry && adddressArry.length > 3) {
                    if (adddressArry[3].length > 5) {
                        newAddress = newAddress.replace(adddressArry[0], '').replace(adddressArry[1], '').replace(adddressArry[2], '');
                    }
                    else {
                        if (adddressArry.length > 4) {
                            newAddress = newAddress.replace(adddressArry[0], '').replace(adddressArry[1], '').replace(adddressArry[2], '');
                        }
                    }
                }
                else if (adddressArry.length > 2) {
                    newAddress = newAddress.replace(adddressArry[0], '').replace(adddressArry[1], '');
                }
            }
            if (callback) {
                callback(newAddress);
            }
            return;
        }
        catch (e) {
            alert('设置淘宝短地址失败，原因：' + e.message);
            if (callback) {
                callback(address);
            }
            return;
        }
    };
    TaobaoAddressPage.prototype.setTbAddressEditJs = function () {
        var that = this;
        var index = 0;
        function editAddress(address, name, phone) {
            var province = '';
            try {
                if (address.charAt(0) == "黑" || address.charAt(0) == "内") {
                    province = address.substr(0, 3);
                }
                else {
                    province = address.substr(0, 2);
                }
                var addressArry = address.split(' ');
                document.querySelector("#J_Name").value = name;
                document.querySelector("#J_Mobile").value = phone;
                document.querySelector('#J_SetDefault').checked = true;
                var cityEle = document.querySelector("#city-title");
                if (cityEle) {
                    index = 0;
                    cityClick(cityEle, province, addressArry, address);
                }
                else {
                    if (index < 3) {
                        setTimeout(function () {
                            editAddress(address, name, phone);
                        }, 1000);
                    }
                    index++;
                    alert("填写地址出错，请重新选择地址1");
                    return;
                }
            }
            catch (e) {
                alert("填写地址出错，请重新选择地址2");
                return;
            }
        }
        function addressSet(name, address) {
            var aElements = document.querySelectorAll(name);
            var isOk = false;
            for (var i = 0; i < aElements.length; i++) {
                if (name.indexOf('province') < 0) {
                    if (address.length > 2) {
                        if (aElements[i].innerText.indexOf(address.substr(0, 2)) > -1) {
                            aElements[i].click();
                            isOk = true;
                            break;
                        }
                        else if (address.indexOf(aElements[i].innerText) > -1) {
                            aElements[i].click();
                            isOk = true;
                            break;
                        }
                    }
                    else if (aElements[i].innerText == address) {
                        aElements[i].click();
                        isOk = true;
                        break;
                    }
                }
                else {
                    if (aElements[i].innerText.indexOf(address) > -1) {
                        aElements[i].click();
                        isOk = true;
                        break;
                    }
                }
            }
            return isOk;
        }
        function clickBt(address) {
            setTimeout(function () {
                var jNameEle = document.querySelector("#J_Name");
                jNameEle.focus();
                jNameEle.click();
                setTimeout(function () {
                    clickBt1(address);
                }, 500);
            }, 500);
        }
        function clickBt1(address) {
            var button = document.querySelector("#J_SelectCode");
            if (button) {
                button.click();
                setTimeout(function () {
                    clickBt2(address);
                }, 1000);
            }
            else {
                if (index < 3) {
                    var addressElement = document.querySelector("#J_Street");
                    addressElement.focus();
                    addressElement.click();
                    setTimeout(function () {
                        clickBt(address);
                    }, 1000);
                }
                else {
                    alert("街道地址匹配失败，请手动选择街道地址！");
                }
                index++;
            }
        }
        function clickBt2(address) {
            var isOk = true;
            var cityTile = document.querySelector("#city-title").innerText;
            if (cityTile.indexOf('/') > -1) {
                var cityS = cityTile.split('/');
                if (cityS != null && cityS.length > 0) {
                    for (var i = 0; i < cityS.length - 1; i++) {
                        var addr = cityS[i].trim();
                        if (!(address.indexOf(addr) > -1)) {
                            isOk = false;
                        }
                    }
                }
                else {
                    isOk = false;
                }
            }
            else {
                isOk = false;
            }
            if (isOk) {
                var tslEle = document.querySelector('button.btn.tsl');
                tslEle.focus();
                tslEle.click();
            }
            else {
                alert("填写地址出错，请重新选择地址3");
            }
        }
        function cityClick(ele, province, addressArry, address) {
            ele.click();
            setTimeout(function () {
                var eleHidden = document.querySelector('.ks-overlay.ks-overlay-hidden');
                if (eleHidden) {
                    if (index < 3) {
                        cityClick(ele, callback);
                    }
                    index++;
                    return;
                }
                else {
                    directEdit(province, addressArry, address);
                }
            }, 500);
        }
        function directEdit(province, addressArry, address) {
            var isOk = addressSet('.city-province a', province);
            if (addressArry && addressArry.length > 3) {
                addressSet('.city-city a', addressArry[1]);
                isOk = addressSet('.city-district a', addressArry[2]);
                if (isOk) {
                    isOk = addressSet('.city-street a', addressArry[3]);
                    if (!isOk) {
                        addressSet('.city-street a', '稍后再说');
                    }
                }
                else {
                    isOk = addressSet('.city-street a', addressArry[2]);
                    if (!isOk) {
                        var divElements = document.querySelectorAll('.city-select-district.border-top div');
                        if (divElements && divElements.length > 0) {
                            for (var _i = 0, divElements_1 = divElements; _i < divElements_1.length; _i++) {
                                var item = divElements_1[_i];
                                var addr = item.innerHTML;
                                var addrArry = addr.split(' ');
                                if (addressArry[2].indexOf(addrArry[0].substr(0, 2)) > -1) {
                                    isOk = addressSet('.city-district a', addrArry[2]);
                                    isOk = addressSet('.city-street a', addressArry[3]);
                                    if (!isOk) {
                                        addressSet('.city-street a', '稍后再说');
                                    }
                                }
                                break;
                            }
                        }
                    }
                }
            }
            else {
                addressSet('.city-city a', address);
                var isOk = addressSet('.city-district a', address);
                if (isOk) {
                    isOk = addressSet('.city-street a', address);
                    if (!isOk) {
                        addressSet('.city-street a', '稍后再说');
                    }
                }
                else {
                    isOk = addressSet('.city-street a', address);
                    if (!isOk) {
                        var divElements = document.querySelectorAll('.city-select-district.border-top div');
                        if (divElements && divElements.length > 0) {
                            for (var _a = 0, divElements_2 = divElements; _a < divElements_2.length; _a++) {
                                var item = divElements_2[_a];
                                var addr = item.innerHTML;
                                var addrArry = addr.split(' ');
                                if (address.indexOf(addrArry.substr(0, 2)) > -1) {
                                    isOk = addressSet('.city-district a', address);
                                    isOk = addressSet('.city-street a', address);
                                    if (!isOk) {
                                        addressSet('.city-street a', '稍后再说');
                                    }
                                }
                                break;
                            }
                        }
                    }
                }
            }
            var addressElement = document.querySelector("#J_Street");
            addressElement.focus();
            addressElement.click();
            that.setTbShortAddress(that.receiverAddress, function (address) {
                addressElement.innerText = address;
            });
            index = 0;
            setTimeout(function () {
                clickBt(address);
            }, 1000);
        }
        setTimeout(function () {
            editAddress(that.receiverAddress, that.receiverName, that.receiverPhone);
        }, 1000);
    };
    TaobaoAddressPage.prototype.setTbAddressEditNewJs = function () {
        var that = this;
        function editAddress(address, tryCount) {
            var checkInput = document.querySelector('.next-checkbox-input');
            if (checkInput && !checkInput.checked) {
                checkInput.click();
            }
            var cndzkEle = document.querySelector(".cndzk-entrance-division-header-click-input");
            if (cndzkEle) {
                cndzkEle.click();
                setTimeout(function () {
                    selectAddress(address, 0);
                }, 500);
            }
            else {
                if (tryCount < 5) {
                    tryCount++;
                    setTimeout(function () {
                        editAddress(address, tryCount);
                    }, 500);
                }
            }
        }
        function addressSet(name, address) {
            var aElements = document.querySelectorAll(name);
            var isOk = false;
            if (aElements && aElements.length > 0) {
                for (var i = 0; i < aElements.length; i++) {
                    if (aElements[i].innerText.indexOf(address) > -1) {
                        aElements[i].click();
                        isOk = true;
                        break;
                    }
                    else if (address.indexOf(aElements[i].innerText) > -1) {
                        aElements[i].click();
                        isOk = true;
                        break;
                    }
                }
            }
            return isOk;
        }
        function clickBt() {
            var evt = new MouseEvent("click", {
                bubbles: true,
                cancelable: true,
                view: window,
            });
            var tslEle = document.querySelector('.next-col.next-col-19.next-form-item-control button.next-btn.next-medium.next-btn-primary');
            tslEle.dispatchEvent(evt);
            setTimeout(function () {
                var ele = document.querySelector('.next-dialog.next-closeable.next-overlay-inner');
                if (ele) {
                    var textele = ele.querySelector('.next-dialog-body div');
                    if (textele) {
                        if (textele.innerText.indexOf('系统检测到您的地址属于') > -1) {
                            var btnEle = ele.querySelector('.next-btn.next-medium.next-btn-primary.next-dialog-btn');
                            if (btnEle) {
                                btnEle.click();
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.AddTaobaoAddressSuccess, null, function (data) {
                                });
                            }
                        }
                    }
                }
            }, 1000);
        }
        function selectAddress(address, tryCount) {
            var cndzkLevel = document.querySelector(".cndzk-entrance-division-box-title-level");
            if (cndzkLevel) {
                cndzkLevel.click();
                var province = '';
                if (address.charAt(0) == "黑" || address.charAt(0) == "内") {
                    province = address.substr(0, 3);
                }
                else {
                    province = address.substr(0, 2);
                }
                setTimeout(function () {
                    addressSet('li.cndzk-entrance-division-box-content-tag', province);
                    if (address.indexOf(' ') > -1) {
                        var addressArry = address.split(' ');
                        setTimeout(function () {
                            if (addressArry && addressArry.length > 3) {
                                addressSet('li.cndzk-entrance-division-box-content-tag', addressArry[1]);
                            }
                            else {
                                addressSet('li.cndzk-entrance-division-box-content-tag', address);
                            }
                            setTimeout(function () {
                                if (addressArry && addressArry.length > 3) {
                                    addressSet('li.cndzk-entrance-division-box-content-tag', addressArry[2]);
                                }
                                else {
                                    addressSet('li.cndzk-entrance-division-box-content-tag', address);
                                }
                                setTimeout(function () {
                                    clickBt();
                                }, 500);
                            }, 500);
                        }, 500);
                    }
                    else {
                        setTimeout(function () {
                            addressSet('li.cndzk-entrance-division-box-content-tag', address);
                            setTimeout(function () {
                                addressSet('li.cndzk-entrance-division-box-content-tag', address);
                                setTimeout(function () {
                                    clickBt();
                                }, 500);
                            }, 500);
                        }, 500);
                    }
                }, 500);
            }
            else {
                if (tryCount < 5) {
                    tryCount++;
                    setTimeout(function () {
                        selectAddress(address, tryCount);
                    }, 500);
                }
            }
        }
        setTimeout(function () {
            editAddress(that.receiverAddress, 0);
        }, 500);
        return null;
    };
    TaobaoAddressPage.prototype.TaobaoSign = function (a) {
        function b(a, b) {
            return a << b | a >>> 32 - b;
        }
        function c(a, b) {
            var c, d, e, f, g;
            return e = 2147483648 & a, f = 2147483648 & b, c = 1073741824 & a, d = 1073741824 & b, g = (1073741823 & a) + (1073741823 & b), c & d ? 2147483648 ^ g ^ e ^ f : c | d ? 1073741824 & g ? 3221225472 ^ g ^ e ^ f : 1073741824 ^ g ^ e ^ f : g ^ e ^ f;
        }
        function d(a, b, c) {
            return a & b | ~a & c;
        }
        function e(a, b, c) {
            return a & c | b & ~c;
        }
        function f(a, b, c) {
            return a ^ b ^ c;
        }
        function g(a, b, c) {
            return b ^ (a | ~c);
        }
        function h(a, e, f, g, h, i, j) {
            return a = c(a, c(c(d(e, f, g), h), j)), c(b(a, i), e);
        }
        function i(a, d, f, g, h, i, j) {
            return a = c(a, c(c(e(d, f, g), h), j)), c(b(a, i), d);
        }
        function j(a, d, e, g, h, i, j) {
            return a = c(a, c(c(f(d, e, g), h), j)), c(b(a, i), d);
        }
        function k(a, d, e, f, h, i, j) {
            return a = c(a, c(c(g(d, e, f), h), j)), c(b(a, i), d);
        }
        function l(a) {
            for (var b, c = a.length, d = c + 8, e = (d - d % 64) / 64, f = 16 * (e + 1), g = new Array(f - 1), h = 0, i = 0; c > i;)
                b = (i - i % 4) / 4, h = i % 4 * 8, g[b] = g[b] | a.charCodeAt(i) << h, i++;
            return b = (i - i % 4) / 4, h = i % 4 * 8, g[b] = g[b] | 128 << h, g[f - 2] = c << 3, g[f - 1] = c >>> 29, g;
        }
        function m(a) {
            var b, c, d = "", e = "";
            for (c = 0; 3 >= c; c++)
                b = a >>> 8 * c & 255, e = "0" + b.toString(16), d += e.substr(e.length - 2, 2);
            return d;
        }
        function n(a) {
            a = a.replace(/\r\n/g, "\n");
            for (var b = "", c = 0; c < a.length; c++) {
                var d = a.charCodeAt(c);
                128 > d ? b += String.fromCharCode(d) : d > 127 && 2048 > d ? (b += String.fromCharCode(d >> 6 | 192), b += String.fromCharCode(63 & d | 128)) : (b += String.fromCharCode(d >> 12 | 224), b += String.fromCharCode(d >> 6 & 63 | 128), b += String.fromCharCode(63 & d | 128));
            }
            return b;
        }
        var o, p, q, r, s, t, u, v, w, x = [], y = 7, z = 12, A = 17, B = 22, C = 5, D = 9, E = 14, F = 20, G = 4, H = 11, I = 16, J = 23, K = 6, L = 10, M = 15, N = 21;
        for (a = n(a), x = l(a), t = 1732584193, u = 4023233417, v = 2562383102, w = 271733878, o = 0; o < x.length; o += 16)
            p = t, q = u, r = v, s = w, t = h(t, u, v, w, x[o + 0], y, 3614090360), w = h(w, t, u, v, x[o + 1], z, 3905402710), v = h(v, w, t, u, x[o + 2], A, 606105819), u = h(u, v, w, t, x[o + 3], B, 3250441966), t = h(t, u, v, w, x[o + 4], y, 4118548399), w = h(w, t, u, v, x[o + 5], z, 1200080426), v = h(v, w, t, u, x[o + 6], A, 2821735955), u = h(u, v, w, t, x[o + 7], B, 4249261313), t = h(t, u, v, w, x[o + 8], y, 1770035416), w = h(w, t, u, v, x[o + 9], z, 2336552879), v = h(v, w, t, u, x[o + 10], A, 4294925233), u = h(u, v, w, t, x[o + 11], B, 2304563134), t = h(t, u, v, w, x[o + 12], y, 1804603682), w = h(w, t, u, v, x[o + 13], z, 4254626195), v = h(v, w, t, u, x[o + 14], A, 2792965006), u = h(u, v, w, t, x[o + 15], B, 1236535329), t = i(t, u, v, w, x[o + 1], C, 4129170786), w = i(w, t, u, v, x[o + 6], D, 3225465664), v = i(v, w, t, u, x[o + 11], E, 643717713), u = i(u, v, w, t, x[o + 0], F, 3921069994), t = i(t, u, v, w, x[o + 5], C, 3593408605), w = i(w, t, u, v, x[o + 10], D, 38016083), v = i(v, w, t, u, x[o + 15], E, 3634488961), u = i(u, v, w, t, x[o + 4], F, 3889429448), t = i(t, u, v, w, x[o + 9], C, 568446438), w = i(w, t, u, v, x[o + 14], D, 3275163606), v = i(v, w, t, u, x[o + 3], E, 4107603335), u = i(u, v, w, t, x[o + 8], F, 1163531501), t = i(t, u, v, w, x[o + 13], C, 2850285829), w = i(w, t, u, v, x[o + 2], D, 4243563512), v = i(v, w, t, u, x[o + 7], E, 1735328473), u = i(u, v, w, t, x[o + 12], F, 2368359562), t = j(t, u, v, w, x[o + 5], G, 4294588738), w = j(w, t, u, v, x[o + 8], H, 2272392833), v = j(v, w, t, u, x[o + 11], I, 1839030562), u = j(u, v, w, t, x[o + 14], J, 4259657740), t = j(t, u, v, w, x[o + 1], G, 2763975236), w = j(w, t, u, v, x[o + 4], H, 1272893353), v = j(v, w, t, u, x[o + 7], I, 4139469664), u = j(u, v, w, t, x[o + 10], J, 3200236656), t = j(t, u, v, w, x[o + 13], G, 681279174), w = j(w, t, u, v, x[o + 0], H, 3936430074), v = j(v, w, t, u, x[o + 3], I, 3572445317), u = j(u, v, w, t, x[o + 6], J, 76029189), t = j(t, u, v, w, x[o + 9], G, 3654602809), w = j(w, t, u, v, x[o + 12], H, 3873151461), v = j(v, w, t, u, x[o + 15], I, 530742520), u = j(u, v, w, t, x[o + 2], J, 3299628645), t = k(t, u, v, w, x[o + 0], K, 4096336452), w = k(w, t, u, v, x[o + 7], L, 1126891415), v = k(v, w, t, u, x[o + 14], M, 2878612391), u = k(u, v, w, t, x[o + 5], N, 4237533241), t = k(t, u, v, w, x[o + 12], K, 1700485571), w = k(w, t, u, v, x[o + 3], L, 2399980690), v = k(v, w, t, u, x[o + 10], M, 4293915773), u = k(u, v, w, t, x[o + 1], N, 2240044497), t = k(t, u, v, w, x[o + 8], K, 1873313359), w = k(w, t, u, v, x[o + 15], L, 4264355552), v = k(v, w, t, u, x[o + 6], M, 2734768916), u = k(u, v, w, t, x[o + 13], N, 1309151649), t = k(t, u, v, w, x[o + 4], K, 4149444226), w = k(w, t, u, v, x[o + 11], L, 3174756917), v = k(v, w, t, u, x[o + 2], M, 718787259), u = k(u, v, w, t, x[o + 9], N, 3951481745), t = c(t, p), u = c(u, q), v = c(v, r), w = c(w, s);
        var O = m(t) + m(u) + m(v) + m(w);
        return O.toLowerCase();
    };
    TaobaoAddressPage.prototype.getCookie = function (name) {
        var strcookie = document.cookie;
        var arrcookie = strcookie.split("; ");
        for (var i = 0; i < arrcookie.length; i++) {
            var arr = arrcookie[i].split("=");
            if (arr[0] == name) {
                return arr[1];
            }
        }
        return "";
    };
    TaobaoAddressPage.prototype.setAddress = function () {
        var that = this;
        that.MoNiClickSetAddress();
    };
    TaobaoAddressPage.prototype.getTBAddress = function (name, mobile, address, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var strdata = '{}';
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + strdata);
            var api = 'mtop.taobao.mbis.getdeliveraddrlist';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(strdata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.getdeliveraddrlist/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '' && (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1)) {
                    if (flage == 0) {
                        flage = 1;
                        var sindex = this.response.indexOf("(");
                        var eindex = this.response.length;
                        var retjson = this.response.substring(sindex + 1, eindex - 1);
                        var returnValue = JSON.parse(retjson).data.returnValue;
                        var oldaddresslist = JSON.parse(returnValue);
                        if (oldaddresslist != null && oldaddresslist.length > 0) {
                            var deliverId = 0;
                            for (var i = 0; i < oldaddresslist.length; i++) {
                                if (oldaddresslist[i].defaultAddress != undefined && oldaddresslist[i].defaultAddress == true) {
                                    deliverId = oldaddresslist[i].deliverId;
                                    break;
                                }
                            }
                            if (deliverId == 0) {
                                if (oldaddresslist.length >= 20) {
                                    var strJson = '{"deliverId":' + oldaddresslist[0].deliverId + '}';
                                    that.deleteTBAddress(name, mobile, address, 0, strJson, callBack);
                                    return;
                                }
                                else {
                                    deliverId = oldaddresslist[0].deliverId;
                                }
                            }
                            that.getTownAddress(name, mobile, address, 0, deliverId, callBack);
                        }
                        else {
                            that.getTownAddress(name, mobile, address, 0, 0, callBack);
                        }
                    }
                }
                else if (this.response != '' && (this.response.indexOf("过期") > -1 || this.response.indexOf("过期") > -1)) {
                    that.MoNiClickSetAddress();
                }
                else {
                    that.MoNiClickSetAddress();
                }
            };
        }
        else {
            console.log("getTBAddress token为空！");
            that.MoNiClickSetAddress();
        }
    };
    TaobaoAddressPage.prototype.deleteTBAddress = function (name, mobile, address, tryCount, data, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + data);
            var api = 'mtop.taobao.mbis.deleteDeliverAddressById';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(data);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.getdeliveraddrlist/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        if (flage == 0) {
                            flage = 1;
                            that.getTownAddress(name, mobile, address, 0, 0, callBack);
                        }
                    }
                    else {
                        if (this.response.indexOf("调用失败") > -1) {
                            if (tryCount == 0) {
                                tryCount++;
                                that.deleteTBAddress(name, mobile, address, tryCount, data, callBack);
                            }
                            else {
                                console.log("deleteTBAddress删除地址接口调用失败，跳转模拟点击操作");
                                that.MoNiClickSetAddress();
                            }
                        }
                        else {
                            that.MoNiClickSetAddress();
                        }
                    }
                }
                else {
                    that.MoNiClickSetAddress();
                }
            };
        }
        else {
            that.MoNiClickSetAddress();
        }
    };
    TaobaoAddressPage.prototype.getTownAddress = function (name, mobile, address, tryCount, deliverId, callBack) {
        var that = this;
        var token = that.getCookie("_m_h5_tk");
        var flage = 0;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetProvinceCityCountyCode, 1, function (data) {
            if (data != false) {
                var province_id = data.ProvinceId;
                var city_id = data.CityId;
                var district_id = data.CountryId;
                var addressDetail = data.Address;
                var townId = "";
                var town = "";
                var Province = data.Province;
                var City = data.City;
                var Country = data.Country;
                var strdata = '{"sn":"suibianchuan","keywords":"' + addressDetail + '","prov":"' + Province + '","provId":"' + province_id + '","city":"' + City + '","cityId":"' + city_id + '","district":"' + Country + '","districtId":"' + district_id + '","addressDetail":"' + addressDetail + '","countryCode":"CN"}';
                if (token != '') {
                    token = token.split('_')[0];
                    var t = new Date().getTime();
                    var key = 12574478;
                    var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + strdata);
                    var api = 'mtop.cainiao.geography.frontend.address.validate';
                    var param = 'jsv=2.5.1' +
                        '&appKey=' + key +
                        '&t=' + t +
                        '&sign=' + sign +
                        '&api=' + api +
                        '&v=1.0' +
                        '&ecode=1' +
                        '&needLogin=true' +
                        '&timeout=20000' +
                        '&dataType=jsonp' +
                        '&type=jsonp' +
                        '&callback=mtopjsonp23' +
                        '&smToken=as' +
                        '&sm=e' +
                        '&data=' + encodeURIComponent(strdata);
                    var xmlhttp = new XMLHttpRequest();
                    xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.cainiao.geography.frontend.address.validate/1.0/?" + param);
                    xmlhttp.setRequestHeader('accept', '*/*');
                    xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
                    xmlhttp.setRequestHeader('cache-control', 'no-cache');
                    xmlhttp.setRequestHeader('pragma', 'no-cache');
                    xmlhttp.setRequestHeader('pragma', 'no-cache');
                    xmlhttp.withCredentials = true;
                    xmlhttp.send();
                    xmlhttp.onreadystatechange = function () {
                        if (this.response.indexOf("调用成功") > -1) {
                            if (flage == 0) {
                                flage = 1;
                                var sindex = this.response.indexOf("(");
                                var eindex = this.response.length;
                                var retjson = this.response.substring(sindex + 1, eindex - 1);
                                var address = JSON.parse(retjson).data.data.divisionParse;
                                if (address) {
                                    var townId = address.townId;
                                    var town = address.town;
                                    var townDivisionCode;
                                    if (townId == "" || townId == null) {
                                        townDivisionCode = district_id;
                                    }
                                    else {
                                        townDivisionCode = townId;
                                    }
                                    if (deliverId > 0) {
                                        var senddata = '{' +
                                            '"divisionCode":"' + townDivisionCode + '",' +
                                            '"townDivisionCode":"' + townDivisionCode + '",' +
                                            '"detailDivisionCode":"",' +
                                            '"addressDetail":"' + addressDetail + '",' +
                                            '"postCode":"","longitude":"28.166321","latitude":"113.647118",' +
                                            '"overseaAddress":false,' +
                                            '"fullName":"' + name + '",' +
                                            '"mobileCode":86,' +
                                            '"mobile":"' + mobile + '",' +
                                            '"phoneInternationalCode":86,' +
                                            '"phoneAreaCode":"",' +
                                            '"phoneNumber":"",' +
                                            '"phoneExtension":"",' +
                                            '"defaultDeliverAddress":true,' +
                                            '"acceptAddressName":false,' +
                                            '"province":"' + Province + '",' +
                                            '"city":"' + City + '",' +
                                            '"area":"' + Country + '",' +
                                            '"town":"' + town + '",' +
                                            '"deliverId":"' + deliverId + '"' +
                                            '}';
                                        that.updateTbAdress(tryCount, senddata, callBack);
                                    }
                                    else {
                                        var senddata = '{' +
                                            '"divisionCode":"' + townDivisionCode + '",' +
                                            '"townDivisionCode":"' + townDivisionCode + '",' +
                                            '"detailDivisionCode":"",' +
                                            '"addressDetail":"' + addressDetail + '",' +
                                            '"postCode":"",' +
                                            '"overseaAddress":false,' +
                                            '"fullName":"' + name + '",' +
                                            '"mobileCode":86,' +
                                            '"mobile":"' + mobile + '",' +
                                            '"phoneInternationalCode":86,' +
                                            '"phoneAreaCode":"",' +
                                            '"phoneNumber":"",' +
                                            '"phoneExtension":"",' +
                                            '"defaultDeliverAddress":true,' +
                                            '"acceptAddressName":false,' +
                                            '"province":"' + Province + '",' +
                                            '"city":"' + City + '",' +
                                            '"area":"' + Country + '",' +
                                            '"town":"' + town + '"' +
                                            '}';
                                        that.setTbAddress(tryCount, senddata, callBack);
                                    }
                                }
                                else {
                                    if (tryCount == 0) {
                                        tryCount++;
                                        return that.getTownAddress(name, mobile, address, tryCount, deliverId, callBack);
                                    }
                                    else {
                                        console.log("getTownAddress接口调用失败,跳转至模拟点击操作！");
                                        that.MoNiClickSetAddress();
                                    }
                                }
                            }
                        }
                        else {
                            that.MoNiClickSetAddress();
                        }
                    };
                }
                else {
                    that.MoNiClickSetAddress();
                }
            }
            else {
                return alert("地址匹配有误，请联系管理员！！！");
            }
        });
    };
    TaobaoAddressPage.prototype.setTbAddress = function (tryCount, senddata, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + senddata);
            var api = 'mtop.taobao.mbis.insertDeliverAddress';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(senddata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.insertdeliveraddress/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        if (flage == 0) {
                            flage = 1;
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, true, function (body) { });
                            window.location.href = that.cgUrl;
                        }
                    }
                    else {
                        if (tryCount == 0) {
                            tryCount++;
                            that.setTbAddress(tryCount, senddata, callBack);
                        }
                        else {
                            console.log("setTbAddress接口调用失败,跳转至模拟点击操作！");
                            that.MoNiClickSetAddress();
                        }
                    }
                }
                else {
                    that.MoNiClickSetAddress();
                }
            };
        }
        else {
            console.log("setTbAddress token为空！");
            that.MoNiClickSetAddress();
        }
    };
    TaobaoAddressPage.prototype.updateTbAdress = function (tryCount, senddata, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + senddata);
            var api = 'mtop.taobao.mbis.updateDeliverAddress';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(senddata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.updateDeliverAddress/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        if (flage == 0) {
                            flage = 1;
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, true, function (body) { });
                            window.location.href = that.cgUrl;
                        }
                    }
                    else {
                        if (tryCount == 0) {
                            tryCount++;
                            that.updateTbAdress(tryCount, senddata, callBack);
                        }
                        else {
                            console.log("updateTbAdress接口调用失败,跳转至模拟点击操作！");
                            that.MoNiClickSetAddress();
                        }
                    }
                }
                else {
                    that.MoNiClickSetAddress();
                }
            };
        }
        else {
            console.log("updateTbAdress token为空！");
            that.MoNiClickSetAddress();
        }
    };
    return TaobaoAddressPage;
}());
if (typeof (_TaobaoAddressPage) == "undefined") {
    _TaobaoAddressPage = true;
    console.log("TaobaoAddressPage - begin");
    new TaobaoAddressPage().Init();
}
