var WeiDianGoodsCopyPage = (function () {
    function WeiDianGoodsCopyPage() {
    }
    WeiDianGoodsCopyPage.prototype.Init = function () {
        var that = this;
        window.removeEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.addEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.removeEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.addEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.removeEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.addEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.removeEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.addEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.removeEventListener("SearchImgEvent", this.OnSearchImgEvent);
        window.addEventListener("SearchImgEvent", this.OnSearchImgEvent);
        window.removeEventListener("XdOrderListEvent", this.OnXdOrderListEvent);
        window.addEventListener("XdOrderListEvent", this.OnXdOrderListEvent);
        window.removeEventListener("ToPayEvent", this.OnToPayEvent);
        window.addEventListener("ToPayEvent", this.OnToPayEvent);
        window.removeEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        window.addEventListener("UpdateExpressNumberEvent", this.OnUpdatePurOrderEvent);
        window.removeEventListener("CancelPurOrderEvent", this.OnCancelPurOrderEvent);
        window.addEventListener("CancelPurOrderEvent", this.OnCancelPurOrderEvent);
    };
    WeiDianGoodsCopyPage.prototype.OnPddUrlListEvent = function (event) {
        if (event != null && event.detail != null && event.detail.type > 0 && event.detail.list != null && event.detail.list.length > 0) {
            var request = new ExtensionShortMessage.SendPddUrlListRequest();
            request.Type = event.detail.type;
            request.List = event.detail.list;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddUrlList, request, function (data) {
            });
        }
    };
    WeiDianGoodsCopyPage.prototype.NeedLoginEvent = function (event) {
        if (event != null && event.detail != null && event.detail.type > 0) {
            var request = new ExtensionShortMessage.OpenLoginPageRequest();
            request.type = event.detail.type;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.OpenLoginPage, request, function (data) {
            });
        }
    };
    WeiDianGoodsCopyPage.prototype.ShopCollectionEvent = function (event) {
        if (event != null && event.detail != null && event.detail.url != null && event.detail.goodsType > 0) {
            ModuleManager.Instance.goodsCollectionModule.currInsidePlatformType = InsidePlatformType.WeiDian;
            var request = new Model.CollectionUrlInfo();
            request.Urls = [];
            request.GoodsType = event.detail.goodsType;
            request.InsidePlatformType = InsidePlatformType.WeiDian;
            request.IsAll = true;
            request.IsBackground = false;
            request.CurrPage = 1;
            request.TotalPage = 2;
            request.NextPageUrl = event.detail.url;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CollectionUrlInfo, request, function (data) {
            });
        }
    };
    WeiDianGoodsCopyPage.prototype.OnShopAutoBindEvent = function (event) {
        console.log("OnShopAutoBindEvent", event);
        if (event != null && event.detail != null) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdateShopData, {}, function (data) {
            });
        }
    };
    WeiDianGoodsCopyPage.prototype.OnXdOrderListEvent = function (evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', "\u65B0\u7248\u672C\u7684\"\u7529\u624B\u52A9\u624B\"\u5DF2\u7ECF\u53EF\u7528\uFF0C\u5F53\u524D\u7248\u672C\uFF1A".concat(data.currentVersion, "\uFF0C\u6700\u65B0\u7248\u672C\uFF1A").concat(data.lastVersion, "\uFF1B\u4E3A\u4E86\u4E0D\u5F71\u54CD\u60A8\u7684\u4F7F\u7528\uFF0C\u8BF7\u7ACB\u5373\u66F4\u65B0"), '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null && evt.detail.list != null && evt.detail.list.length > 0) {
                    var win = window;
                    var data_1 = evt.detail;
                    for (var index = 0; index < data_1.list.length; index++) {
                        var element = data_1.list[index];
                        data_1.list[index] = win.WeiDianGoodsCopyPage.JsonToUpperCase(element);
                    }
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentCaiGouInfo, data_1, function (data) {
                    });
                }
            }
        });
    };
    WeiDianGoodsCopyPage.prototype.OnToPayEvent = function (evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', "\u65B0\u7248\u672C\u7684\"\u7529\u624B\u52A9\u624B\"\u5DF2\u7ECF\u53EF\u7528\uFF0C\u5F53\u524D\u7248\u672C\uFF1A".concat(data.currentVersion, "\uFF0C\u6700\u65B0\u7248\u672C\uFF1A").concat(data.lastVersion, "\uFF1B\u4E3A\u4E86\u4E0D\u5F71\u54CD\u60A8\u7684\u4F7F\u7528\uFF0C\u8BF7\u7ACB\u5373\u66F4\u65B0"), '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null && evt.detail.list != null && evt.detail.list.length > 0) {
                    var win = window;
                    var data_2 = evt.detail;
                    for (var index = 0; index < data_2.list.length; index++) {
                        var element = data_2.list[index];
                        data_2.list[index] = win.WeiDianGoodsCopyPage.JsonToUpperCase(element);
                    }
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ToPay, data_2, function (data) {
                    });
                }
            }
        });
    };
    WeiDianGoodsCopyPage.prototype.OnUpdatePurOrderEvent = function (evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', "\u65B0\u7248\u672C\u7684\"\u7529\u624B\u52A9\u624B\"\u5DF2\u7ECF\u53EF\u7528\uFF0C\u5F53\u524D\u7248\u672C\uFF1A".concat(data.currentVersion, "\uFF0C\u6700\u65B0\u7248\u672C\uFF1A").concat(data.lastVersion, "\uFF1B\u4E3A\u4E86\u4E0D\u5F71\u54CD\u60A8\u7684\u4F7F\u7528\uFF0C\u8BF7\u7ACB\u5373\u66F4\u65B0"), '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null && evt.detail.length > 0) {
                    var win = window;
                    var data_3 = evt.detail;
                    for (var index = 0; index < data_3.length; index++) {
                        var element = data_3[index];
                        data_3[index] = win.WeiDianGoodsCopyPage.JsonToUpperCase(element);
                    }
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdatePurOrder, data_3, function (data) {
                    });
                }
            }
        });
    };
    WeiDianGoodsCopyPage.prototype.OnCancelPurOrderEvent = function (evt) {
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CheckUpdates, 2, function (data) {
            if (data.update) {
                Utils.Instance.Confirm('发现新版本', "\u65B0\u7248\u672C\u7684\"\u7529\u624B\u52A9\u624B\"\u5DF2\u7ECF\u53EF\u7528\uFF0C\u5F53\u524D\u7248\u672C\uFF1A".concat(data.currentVersion, "\uFF0C\u6700\u65B0\u7248\u672C\uFF1A").concat(data.lastVersion, "\uFF1B\u4E3A\u4E86\u4E0D\u5F71\u54CD\u60A8\u7684\u4F7F\u7528\uFF0C\u8BF7\u7ACB\u5373\u66F4\u65B0"), '立即更新', '', function () {
                    window.open('https://puhuo.shuaishou.com/src/views/plugdown.html');
                }, null);
            }
            else {
                if (evt != null && evt.detail != null) {
                    var win = window;
                    var data_4 = win.WeiDianGoodsCopyPage.JsonToUpperCase(evt.detail);
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CancelPurOrder, data_4, function (data) {
                    });
                }
            }
        });
    };
    WeiDianGoodsCopyPage.prototype.OnSearchImgEvent = function (evt) {
        if (evt != null && evt.detail != null) {
            var win = window;
            var data = win.WeiDianGoodsCopyPage.JsonToUpperCase(evt.detail);
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SearchImg, data, function (data) {
            });
        }
    };
    WeiDianGoodsCopyPage.JsonToUpperCase = function (jsonObj) {
        if (typeof (jsonObj) == 'object') {
            for (var key in jsonObj) {
                jsonObj[key.substring(0, 1).toUpperCase() + key.substring(1)] = jsonObj[key];
                delete (jsonObj[key]);
            }
            return jsonObj;
        }
        return jsonObj;
    };
    return WeiDianGoodsCopyPage;
}());
if (typeof (_WeiDianGoodsCopyPage) == "undefined") {
    _WeiDianGoodsCopyPage = true;
    console.log("WeiDianGoodsCopyPage - begin");
    new WeiDianGoodsCopyPage().Init();
}
