var KSSHGoodsCopyPage = (function () {
    function KSSHGoodsCopyPage() {
    }
    KSSHGoodsCopyPage.prototype.Init = function () {
        var that = this;
        window.removeEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.addEventListener("PddUrlListEvent", this.OnPddUrlListEvent);
        window.removeEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.addEventListener("NeedLoginEvent", this.NeedLoginEvent);
        window.removeEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.addEventListener("ShopCollectionEvent", this.ShopCollectionEvent);
        window.removeEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
        window.addEventListener("ShopAutoBindEvent", this.OnShopAutoBindEvent);
    };
    KSSHGoodsCopyPage.prototype.OnPddUrlListEvent = function (event) {
        if (event != null && event.detail != null && event.detail.type > 0 && event.detail.list != null && event.detail.list.length > 0) {
            var request = new ExtensionShortMessage.SendPddUrlListRequest();
            request.Type = event.detail.type;
            request.List = event.detail.list;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddUrlList, request, function (data) {
            });
        }
    };
    KSSHGoodsCopyPage.prototype.NeedLoginEvent = function (event) {
        if (event != null && event.detail != null && event.detail.type > 0) {
            var request = new ExtensionShortMessage.OpenLoginPageRequest();
            request.type = event.detail.type;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.OpenLoginPage, request, function (data) {
            });
        }
    };
    KSSHGoodsCopyPage.prototype.ShopCollectionEvent = function (event) {
        if (event != null && event.detail != null && event.detail.url != null && event.detail.goodsType > 0) {
            ModuleManager.Instance.goodsCollectionModule.currInsidePlatformType = InsidePlatformType.Kssh;
            var request = new Model.CollectionUrlInfo();
            request.Urls = [];
            request.GoodsType = event.detail.goodsType;
            request.InsidePlatformType = InsidePlatformType.Kssh;
            request.IsAll = true;
            request.IsBackground = false;
            request.CurrPage = 1;
            request.TotalPage = 2;
            request.NextPageUrl = event.detail.url;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CollectionUrlInfo, request, function (data) {
            });
        }
    };
    KSSHGoodsCopyPage.prototype.OnShopAutoBindEvent = function (event) {
        console.log("OnShopAutoBindEvent", event);
        if (event != null && event.detail != null) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdateShopData, {}, function (data) {
            });
        }
    };
    return KSSHGoodsCopyPage;
}());
if (typeof (_KSSHGoodsCopyPage) == "undefined") {
    _KSSHGoodsCopyPage = true;
    console.log("KSSHGoodsCopyPage - begin");
    new KSSHGoodsCopyPage().Init();
}
