var SellerShopeePage = (function () {
    function SellerShopeePage() {
    }
    SellerShopeePage.prototype.Init = function () {
        var that = this;
    };
    SellerShopeePage.prototype.GetPriceCalculateFactors = function (sellerName) {
        var that = this;
        var currUrl = location.href;
        if (currUrl.indexOf("seller.shopee.cn/account/signin") > -1) {
            var request = new ExtensionShortMessage.SendGetDataOfShopeeResultRequest();
            request.State = 1;
            request.Result = null;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendGetDataOfShopeeResult, request, function (data) {
            });
            return;
        }
        var _sellerName = null;
        var count = 0;
        var timer = window.setInterval(function () {
            if (_sellerName || count > 100) {
                window.clearInterval(timer);
                if (!_sellerName) {
                    var request = new ExtensionShortMessage.SendGetDataOfShopeeResultRequest();
                    request.State = 1;
                    request.Result = null;
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendGetDataOfShopeeResult, request, function (data) {
                    });
                    return;
                }
                if (_sellerName.indexOf(sellerName) == -1) {
                    var request = new ExtensionShortMessage.SendGetDataOfShopeeResultRequest();
                    request.State = 1;
                    request.Result = null;
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendGetDataOfShopeeResult, request, function (data) {
                    });
                    Utils.Instance.Confirm("温馨提示", "请在shopee后台登录“" + sellerName + "”主账号后，重新同步！", "去登录", "取消", function () {
                        location.href = "https://seller.shopee.cn/account/signin";
                    }, function () { });
                    return;
                }
                debugger;
                var cnsc_shop_id_timer_1 = window.setInterval(function () {
                    if (location.href.indexOf("cnsc_shop_id=") > -1) {
                        clearInterval(cnsc_shop_id_timer_1);
                        var cnsc_shop_id = location.href.substr(location.href.indexOf("cnsc_shop_id=") + 13);
                        var SPC_CDS = Utils.Instance.GetCookie("SPC_CDS");
                        $.ajax({
                            type: "GET",
                            url: "https://seller.shopee.cn/api/v3/settings/get_price_calculate_factors?SPC_CDS=" + SPC_CDS + "&SPC_CDS_VER=2&shop_status=0&cnsc_shop_id=" + cnsc_shop_id,
                            success: function (result) {
                                if (result) {
                                    console.log(result);
                                    var request = new ExtensionShortMessage.SendGetDataOfShopeeResultRequest();
                                    request.State = 0;
                                    request.Result = result;
                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendGetDataOfShopeeResult, request, function (data) {
                                    });
                                }
                                else {
                                    var request = new ExtensionShortMessage.SendGetDataOfShopeeResultRequest();
                                    request.State = 0;
                                    request.Result = { "code": -1, "message": "获取数据失败，请稍后再试。。。", "user_message": "success", "data": {} };
                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendGetDataOfShopeeResult, request, function (data) {
                                    });
                                }
                            },
                            error: function (e) {
                                console.log(e);
                                var request = new ExtensionShortMessage.SendGetDataOfShopeeResultRequest();
                                request.State = 0;
                                request.Result = { "code": -1, "message": "获取数据异常，请稍后再试。。。链接为：" + location.href, "user_message": "success", "data": e };
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendGetDataOfShopeeResult, request, function (data) {
                                });
                            }
                        });
                    }
                }, 300);
            }
            else {
                try {
                    _sellerName = $("div.merchant-name").find("span").text().trim();
                }
                catch (e) {
                }
                count++;
            }
        }, 300);
    };
    return SellerShopeePage;
}());
if (typeof (_SellerShopeePage) == "undefined") {
    _SellerShopeePage = true;
    console.log("SellerShopeePage - begin");
    var moduleManagerTimer_1 = window.setInterval(function () {
        if (typeof (ModuleManager) != "undefined") {
            ModuleManager.Instance.sellerShopeePage = new SellerShopeePage();
            ModuleManager.Instance.sellerShopeePage.Init();
            window.clearInterval(moduleManagerTimer_1);
        }
    }, 100);
}
