var TaobaoPersonalPage = (function () {
    function TaobaoPersonalPage() {
        this.OrderWithExpress = [];
    }
    TaobaoPersonalPage.prototype.Init = function () {
        console.log("TaobaoPersonalPage -begin");
        debugger;
        var that = this;
        var CgNumber = getParam("CgNumber");
        if (CgNumber != "" && CgNumber != undefined && CgNumber != "undefined") {
            that.getNiceName(function (name) {
                if (CgNumber != name) {
                    Utils.Instance.Confirm("提示", "当前登录采购账号(" + name + ")与所选采购账号(" + CgNumber + ")不符", "继续使用当前账号", "重新登录", function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoSelectCgNumber, name, function () { });
                    }, function () {
                        window.location.href = "https://login.taobao.com/member/login.jhtml?redirectURL=https%3A%2F%2Fmember1.taobao.com%2Fmember%2Ffresh%2Faccount_security.htm%3FCgNumber%3D" + CgNumber;
                    });
                }
            });
        }
        function getParam(name) {
            var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
            var r = location.search.substr(1).match(reg);
            if (r != null)
                return decodeURI(decodeURI(r[2]));
        }
        function myFunction() {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                ModuleManager.Instance.cgOrderInfoModule.Init();
                window.clearInterval(that.TaskTimer);
            }
        }
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
            that.isCaigou = data.isCaigou;
            that.isExpress = data.isExpress;
            that.isCheckPayState = data.isCheckPayState;
            if (data.isCaigou) {
                that.TaskTimer = window.setInterval(myFunction, 500);
            }
            that.ToDoSomething();
        });
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsSearchImg, null, function (data) {
            that.isSearchImg = data.isSearchImg;
            that.SendTaobaoCookie();
        });
    };
    TaobaoPersonalPage.prototype.getNiceName = function (callback) {
        if ($(".warnning-text").length > 0) {
            return;
        }
        else {
            var name = '';
            var userElement = document.querySelector(".site-nav-login-info-nick");
            if (userElement) {
                name = userElement.innerText;
            }
            else {
                userElement = document.querySelector('.user-nick');
                if (userElement) {
                    name = userElement.innerText;
                }
                else {
                    userElement = document.querySelector('.sn-user-nick');
                    if (userElement) {
                        name = userElement.innerText;
                    }
                }
            }
            if (callback) {
                callback(name);
            }
        }
    };
    TaobaoPersonalPage.prototype.ToDoSomething = function () {
        var that = this;
        that.getNiceName(function (name) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoSelectCgNumber, null, function (selectTaobaoCgNumberJson) {
                if (selectTaobaoCgNumberJson != null && selectTaobaoCgNumberJson.name != "") {
                    var selectTaobaoNumber = selectTaobaoCgNumberJson.name;
                    if (selectTaobaoNumber == name) {
                        if (that.isCaigou) {
                            that.ToCaigou();
                        }
                        else if (that.isExpress) {
                            that.ToGetExpress();
                        }
                        else if (that.isCheckPayState) {
                            that.ToGetPayState();
                        }
                    }
                    else {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoSelectCgNumber, name, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoSelectCgNumber, name, function () {
                                if (that.isCaigou) {
                                    that.ToCaigou();
                                }
                                else if (that.isExpress) {
                                    that.ToGetExpress();
                                }
                                else if (that.isCheckPayState) {
                                    that.ToGetPayState();
                                }
                            });
                        });
                    }
                }
                else {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoSelectCgNumber, name, function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoSelectCgNumber, name, function () {
                            if (that.isCaigou) {
                                that.ToCaigou();
                            }
                            else if (that.isExpress) {
                                that.ToGetExpress();
                            }
                            else if (that.isCheckPayState) {
                                that.ToGetPayState();
                            }
                        });
                    });
                }
            });
        });
    };
    TaobaoPersonalPage.prototype.getCookie = function (name) {
        var strcookie = document.cookie;
        var arrcookie = strcookie.split("; ");
        for (var i = 0; i < arrcookie.length; i++) {
            var arr = arrcookie[i].split("=");
            if (arr[0] == name) {
                return arr[1];
            }
        }
        return "";
    };
    TaobaoPersonalPage.prototype.ToCaigou = function () {
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            that.currentCgOrderInfo = currentCginfo.YangkeduoCaiGouOrderInfos[0];
            that.getTBAddress(that.currentCgOrderInfo.ReceiverName, that.currentCgOrderInfo.ReceiverPhone, that.currentCgOrderInfo.ReceiverAddress, function () { });
        });
    };
    TaobaoPersonalPage.prototype.ToGetExpress = function () {
        console.log("获取运单号开始");
        var that = this;
        window.location.href = "https://buyertrade.taobao.com/trade/itemlist/list_bought_items.htm";
    };
    TaobaoPersonalPage.prototype.ToGetPayState = function () {
        console.log("获取订单支付状态开始");
        var that = this;
        window.location.href = "https://buyertrade.taobao.com/trade/itemlist/list_bought_items.htm";
    };
    TaobaoPersonalPage.prototype.TaobaoSign = function (a) {
        function b(a, b) {
            return a << b | a >>> 32 - b;
        }
        function c(a, b) {
            var c, d, e, f, g;
            return e = 2147483648 & a, f = 2147483648 & b, c = 1073741824 & a, d = 1073741824 & b, g = (1073741823 & a) + (1073741823 & b), c & d ? 2147483648 ^ g ^ e ^ f : c | d ? 1073741824 & g ? 3221225472 ^ g ^ e ^ f : 1073741824 ^ g ^ e ^ f : g ^ e ^ f;
        }
        function d(a, b, c) {
            return a & b | ~a & c;
        }
        function e(a, b, c) {
            return a & c | b & ~c;
        }
        function f(a, b, c) {
            return a ^ b ^ c;
        }
        function g(a, b, c) {
            return b ^ (a | ~c);
        }
        function h(a, e, f, g, h, i, j) {
            return a = c(a, c(c(d(e, f, g), h), j)), c(b(a, i), e);
        }
        function i(a, d, f, g, h, i, j) {
            return a = c(a, c(c(e(d, f, g), h), j)), c(b(a, i), d);
        }
        function j(a, d, e, g, h, i, j) {
            return a = c(a, c(c(f(d, e, g), h), j)), c(b(a, i), d);
        }
        function k(a, d, e, f, h, i, j) {
            return a = c(a, c(c(g(d, e, f), h), j)), c(b(a, i), d);
        }
        function l(a) {
            for (var b, c = a.length, d = c + 8, e = (d - d % 64) / 64, f = 16 * (e + 1), g = new Array(f - 1), h = 0, i = 0; c > i;)
                b = (i - i % 4) / 4, h = i % 4 * 8, g[b] = g[b] | a.charCodeAt(i) << h, i++;
            return b = (i - i % 4) / 4, h = i % 4 * 8, g[b] = g[b] | 128 << h, g[f - 2] = c << 3, g[f - 1] = c >>> 29, g;
        }
        function m(a) {
            var b, c, d = "", e = "";
            for (c = 0; 3 >= c; c++)
                b = a >>> 8 * c & 255, e = "0" + b.toString(16), d += e.substr(e.length - 2, 2);
            return d;
        }
        function n(a) {
            a = a.replace(/\r\n/g, "\n");
            for (var b = "", c = 0; c < a.length; c++) {
                var d = a.charCodeAt(c);
                128 > d ? b += String.fromCharCode(d) : d > 127 && 2048 > d ? (b += String.fromCharCode(d >> 6 | 192), b += String.fromCharCode(63 & d | 128)) : (b += String.fromCharCode(d >> 12 | 224), b += String.fromCharCode(d >> 6 & 63 | 128), b += String.fromCharCode(63 & d | 128));
            }
            return b;
        }
        var o, p, q, r, s, t, u, v, w, x = [], y = 7, z = 12, A = 17, B = 22, C = 5, D = 9, E = 14, F = 20, G = 4, H = 11, I = 16, J = 23, K = 6, L = 10, M = 15, N = 21;
        for (a = n(a), x = l(a), t = 1732584193, u = 4023233417, v = 2562383102, w = 271733878, o = 0; o < x.length; o += 16)
            p = t, q = u, r = v, s = w, t = h(t, u, v, w, x[o + 0], y, 3614090360), w = h(w, t, u, v, x[o + 1], z, 3905402710), v = h(v, w, t, u, x[o + 2], A, 606105819), u = h(u, v, w, t, x[o + 3], B, 3250441966), t = h(t, u, v, w, x[o + 4], y, 4118548399), w = h(w, t, u, v, x[o + 5], z, 1200080426), v = h(v, w, t, u, x[o + 6], A, 2821735955), u = h(u, v, w, t, x[o + 7], B, 4249261313), t = h(t, u, v, w, x[o + 8], y, 1770035416), w = h(w, t, u, v, x[o + 9], z, 2336552879), v = h(v, w, t, u, x[o + 10], A, 4294925233), u = h(u, v, w, t, x[o + 11], B, 2304563134), t = h(t, u, v, w, x[o + 12], y, 1804603682), w = h(w, t, u, v, x[o + 13], z, 4254626195), v = h(v, w, t, u, x[o + 14], A, 2792965006), u = h(u, v, w, t, x[o + 15], B, 1236535329), t = i(t, u, v, w, x[o + 1], C, 4129170786), w = i(w, t, u, v, x[o + 6], D, 3225465664), v = i(v, w, t, u, x[o + 11], E, 643717713), u = i(u, v, w, t, x[o + 0], F, 3921069994), t = i(t, u, v, w, x[o + 5], C, 3593408605), w = i(w, t, u, v, x[o + 10], D, 38016083), v = i(v, w, t, u, x[o + 15], E, 3634488961), u = i(u, v, w, t, x[o + 4], F, 3889429448), t = i(t, u, v, w, x[o + 9], C, 568446438), w = i(w, t, u, v, x[o + 14], D, 3275163606), v = i(v, w, t, u, x[o + 3], E, 4107603335), u = i(u, v, w, t, x[o + 8], F, 1163531501), t = i(t, u, v, w, x[o + 13], C, 2850285829), w = i(w, t, u, v, x[o + 2], D, 4243563512), v = i(v, w, t, u, x[o + 7], E, 1735328473), u = i(u, v, w, t, x[o + 12], F, 2368359562), t = j(t, u, v, w, x[o + 5], G, 4294588738), w = j(w, t, u, v, x[o + 8], H, 2272392833), v = j(v, w, t, u, x[o + 11], I, 1839030562), u = j(u, v, w, t, x[o + 14], J, 4259657740), t = j(t, u, v, w, x[o + 1], G, 2763975236), w = j(w, t, u, v, x[o + 4], H, 1272893353), v = j(v, w, t, u, x[o + 7], I, 4139469664), u = j(u, v, w, t, x[o + 10], J, 3200236656), t = j(t, u, v, w, x[o + 13], G, 681279174), w = j(w, t, u, v, x[o + 0], H, 3936430074), v = j(v, w, t, u, x[o + 3], I, 3572445317), u = j(u, v, w, t, x[o + 6], J, 76029189), t = j(t, u, v, w, x[o + 9], G, 3654602809), w = j(w, t, u, v, x[o + 12], H, 3873151461), v = j(v, w, t, u, x[o + 15], I, 530742520), u = j(u, v, w, t, x[o + 2], J, 3299628645), t = k(t, u, v, w, x[o + 0], K, 4096336452), w = k(w, t, u, v, x[o + 7], L, 1126891415), v = k(v, w, t, u, x[o + 14], M, 2878612391), u = k(u, v, w, t, x[o + 5], N, 4237533241), t = k(t, u, v, w, x[o + 12], K, 1700485571), w = k(w, t, u, v, x[o + 3], L, 2399980690), v = k(v, w, t, u, x[o + 10], M, 4293915773), u = k(u, v, w, t, x[o + 1], N, 2240044497), t = k(t, u, v, w, x[o + 8], K, 1873313359), w = k(w, t, u, v, x[o + 15], L, 4264355552), v = k(v, w, t, u, x[o + 6], M, 2734768916), u = k(u, v, w, t, x[o + 13], N, 1309151649), t = k(t, u, v, w, x[o + 4], K, 4149444226), w = k(w, t, u, v, x[o + 11], L, 3174756917), v = k(v, w, t, u, x[o + 2], M, 718787259), u = k(u, v, w, t, x[o + 9], N, 3951481745), t = c(t, p), u = c(u, q), v = c(v, r), w = c(w, s);
        var O = m(t) + m(u) + m(v) + m(w);
        return O.toLowerCase();
    };
    TaobaoPersonalPage.prototype.getTBAddress = function (name, mobile, address, callBack) {
        var that = this;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var strdata = '{}';
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + strdata);
            var api = 'mtop.taobao.mbis.getdeliveraddrlist';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(strdata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.getdeliveraddrlist/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '' && (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1)) {
                    var sindex = this.response.indexOf("(");
                    var eindex = this.response.length;
                    var retjson = this.response.substring(sindex + 1, eindex - 1);
                    var oldaddresslist = JSON.parse(JSON.parse(retjson).data.returnValue);
                    if (oldaddresslist != null && oldaddresslist.length > 0) {
                        var deliverId = 0;
                        for (var i = 0; i < oldaddresslist.length; i++) {
                            if (oldaddresslist[i].defaultAddress != undefined && oldaddresslist[i].defaultAddress == true) {
                                deliverId = oldaddresslist[i].deliverId;
                                break;
                            }
                        }
                        if (deliverId == 0) {
                            if (oldaddresslist.length >= 20) {
                                var strJson = '{"deliverId":' + oldaddresslist[0].deliverId + '}';
                                that.deleteTBAddress(name, mobile, address, 0, strJson, callBack);
                                return;
                            }
                            else {
                                deliverId = oldaddresslist[0].deliverId;
                            }
                        }
                        that.getTownAddress(name, mobile, address, 0, deliverId, callBack);
                    }
                    else {
                        that.getTownAddress(name, mobile, address, 0, 0, callBack);
                    }
                }
            };
        }
        else {
            console.log("getTBAddress token为空！");
            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
        }
    };
    TaobaoPersonalPage.prototype.deleteTBAddress = function (name, mobile, address, tryCount, data, callBack) {
        var that = this;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + data);
            var api = 'mtop.taobao.mbis.deleteDeliverAddressById';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(data);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.getdeliveraddrlist/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        that.getTownAddress(name, mobile, address, 0, 0, callBack);
                    }
                    else {
                        if (this.response.indexOf("调用失败") > -1) {
                            if (tryCount == 0) {
                                tryCount++;
                                that.deleteTBAddress(name, mobile, address, tryCount, data, callBack);
                            }
                            else {
                                console.log("deleteTBAddress删除地址接口调用失败，跳转模拟点击操作");
                                callBack("useMoNi");
                            }
                        }
                        else {
                            callBack("useMoNi");
                        }
                    }
                }
            };
        }
        else {
            callBack("useMoNi");
        }
    };
    TaobaoPersonalPage.prototype.getTownAddress = function (name, mobile, address, tryCount, deliverId, callBack) {
        var that = this;
        var token = that.getCookie("_m_h5_tk");
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetProvinceCityCountyCode, 1, function (data) {
            if (data != false) {
                var province_id = data.ProvinceId;
                var city_id = data.CityId;
                var district_id = data.CountryId;
                var addressDetail = data.Address;
                var townId = "";
                var town = "";
                var Province = data.Province;
                var City = data.City;
                var Country = data.Country;
                var strdata = '{"sn":"suibianchuan","keywords":"' + addressDetail + '","prov":"' + Province + '","provId":"' + province_id + '","city":"' + City + '","cityId":"' + city_id + '","district":"' + Country + '","districtId":"' + district_id + '","addressDetail":"' + addressDetail + '","countryCode":"CN"}';
                if (token != '') {
                    token = token.split('_')[0];
                    var t = new Date().getTime();
                    var key = 12574478;
                    var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + strdata);
                    var api = 'mtop.cainiao.geography.frontend.address.validate';
                    var param = 'jsv=2.5.1' +
                        '&appKey=' + key +
                        '&t=' + t +
                        '&sign=' + sign +
                        '&api=' + api +
                        '&v=1.0' +
                        '&ecode=1' +
                        '&needLogin=true' +
                        '&timeout=20000' +
                        '&dataType=jsonp' +
                        '&type=jsonp' +
                        '&callback=mtopjsonp23' +
                        '&smToken=as' +
                        '&sm=e' +
                        '&data=' + encodeURIComponent(strdata);
                    var xmlhttp = new XMLHttpRequest();
                    xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.cainiao.geography.frontend.address.validate/1.0/?" + param);
                    xmlhttp.setRequestHeader('accept', '*/*');
                    xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
                    xmlhttp.setRequestHeader('cache-control', 'no-cache');
                    xmlhttp.setRequestHeader('pragma', 'no-cache');
                    xmlhttp.setRequestHeader('pragma', 'no-cache');
                    xmlhttp.withCredentials = true;
                    xmlhttp.send();
                    xmlhttp.onreadystatechange = function () {
                        if (this.response.indexOf("调用成功") > -1) {
                            var sindex = this.response.indexOf("(");
                            var eindex = this.response.length;
                            var retjson = this.response.substring(sindex + 1, eindex - 1);
                            var address = JSON.parse(retjson).data.data.divisionParse;
                            if (address) {
                                var townId = address.townId;
                                var town = address.town;
                                var townDivisionCode;
                                if (townId == "" || townId == null) {
                                    townDivisionCode = district_id;
                                }
                                else {
                                    townDivisionCode = townId;
                                }
                                if (deliverId > 0) {
                                    var senddata = '{' +
                                        '"divisionCode":"' + townDivisionCode + '",' +
                                        '"townDivisionCode":"' + townDivisionCode + '",' +
                                        '"detailDivisionCode":"",' +
                                        '"addressDetail":"' + addressDetail + '",' +
                                        '"postCode":"","longitude":"28.166321","latitude":"113.647118",' +
                                        '"overseaAddress":false,' +
                                        '"fullName":"' + name + '",' +
                                        '"mobileCode":86,' +
                                        '"mobile":"' + mobile + '",' +
                                        '"phoneInternationalCode":86,' +
                                        '"phoneAreaCode":"",' +
                                        '"phoneNumber":"",' +
                                        '"phoneExtension":"",' +
                                        '"defaultDeliverAddress":true,' +
                                        '"acceptAddressName":false,' +
                                        '"province":"' + Province + '",' +
                                        '"city":"' + City + '",' +
                                        '"area":"' + Country + '",' +
                                        '"town":"' + town + '",' +
                                        '"deliverId":"' + deliverId + '"' +
                                        '}';
                                    that.updateTbAdress(tryCount, senddata, callBack);
                                }
                                else {
                                    var senddata = '{' +
                                        '"divisionCode":"' + townDivisionCode + '",' +
                                        '"townDivisionCode":"' + townDivisionCode + '",' +
                                        '"detailDivisionCode":"",' +
                                        '"addressDetail":"' + addressDetail + '",' +
                                        '"postCode":"",' +
                                        '"overseaAddress":false,' +
                                        '"fullName":"' + name + '",' +
                                        '"mobileCode":86,' +
                                        '"mobile":"' + mobile + '",' +
                                        '"phoneInternationalCode":86,' +
                                        '"phoneAreaCode":"",' +
                                        '"phoneNumber":"",' +
                                        '"phoneExtension":"",' +
                                        '"defaultDeliverAddress":true,' +
                                        '"acceptAddressName":false,' +
                                        '"province":"' + Province + '",' +
                                        '"city":"' + City + '",' +
                                        '"area":"' + Country + '",' +
                                        '"town":"' + town + '"' +
                                        '}';
                                    that.setTbAddress(tryCount, senddata, callBack);
                                }
                            }
                            else {
                                if (tryCount == 0) {
                                    tryCount++;
                                    return that.getTownAddress(name, mobile, address, tryCount, deliverId, callBack);
                                }
                                else {
                                    console.log("getTownAddress接口调用失败,跳转至模拟点击操作！");
                                    window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                                }
                            }
                        }
                    };
                }
                else {
                    window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                }
            }
            else {
                return alert("地址匹配有误，请联系管理员！！！");
            }
        });
    };
    TaobaoPersonalPage.prototype.setTbAddress = function (tryCount, senddata, callBack) {
        var that = this;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + senddata);
            var api = 'mtop.taobao.mbis.insertDeliverAddress';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(senddata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.insertdeliveraddress/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        window.location.href = that.currentCgOrderInfo.CgUrl;
                    }
                    else {
                        if (tryCount == 0) {
                            tryCount++;
                            that.setTbAddress(tryCount, senddata, callBack);
                        }
                        else {
                            console.log("setTbAddress接口调用失败,跳转至模拟点击操作！");
                            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                        }
                    }
                }
            };
        }
        else {
            console.log("setTbAddress token为空！");
            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
        }
    };
    TaobaoPersonalPage.prototype.updateTbAdress = function (tryCount, senddata, callBack) {
        var that = this;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + senddata);
            var api = 'mtop.taobao.mbis.updateDeliverAddress';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(senddata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.updateDeliverAddress/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        window.location.href = that.currentCgOrderInfo.CgUrl;
                    }
                    else {
                        if (tryCount == 0) {
                            tryCount++;
                            that.updateTbAdress(tryCount, senddata, callBack);
                        }
                        else {
                            console.log("updateTbAdress接口调用失败,跳转至模拟点击操作！");
                            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                        }
                    }
                }
            };
        }
        else {
            console.log("updateTbAdress token为空！");
            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
        }
    };
    TaobaoPersonalPage.prototype.SendTaobaoCookie = function () {
        if (this.isSearchImg) {
            var tbcookie = document.cookie;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetLocalStorageByTaobaoCookie, tbcookie, function (data) {
            });
        }
    };
    return TaobaoPersonalPage;
}());
if (typeof (_TaobaoPersonalPage) == "undefined") {
    _TaobaoPersonalPage = true;
    console.log("TaobaoPersonalPage - begin");
    new TaobaoPersonalPage().Init();
}
