var TaobaoZFBPayPage = (function () {
    function TaobaoZFBPayPage() {
        this.hasBindEvent = false;
        this.isBatch = false;
        this.isSkipPay = false;
    }
    TaobaoZFBPayPage.prototype.Init = function () {
        var that = this;
        that.TaskTimer = window.setInterval(myFunction, 500);
        function myFunction() {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                window.clearInterval(that.TaskTimer);
                ModuleManager.Instance.cgOrderInfoModule.Init(function () {
                    var locationhref = window.location.href;
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentPayUrl, locationhref, function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
                            if (data.isCaigou) {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCgInfoToSendTaobao, null, function (json) {
                                    that.json = json;
                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsBatch, null, function (isBatch) {
                                        that.isBatch = isBatch;
                                        if (isBatch == true) {
                                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsSkipPay, null, function (isSkipPay) {
                                                that.isSkipPay = isSkipPay;
                                                if (isSkipPay == true) {
                                                    if (json.code == 0) {
                                                        if (that.json.data.CgType == 26) {
                                                            window.location.href = "https://mobile.yangkeduo.com/personal.html";
                                                        }
                                                        else if (that.json.data.CgType == 1) {
                                                            window.location.href = "https://member1.taobao.com/member/fresh/account_security.htm";
                                                        }
                                                    }
                                                    else if (json.code == 1) {
                                                        alert("所选订单已全部采购完成");
                                                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                                                        });
                                                        return;
                                                    }
                                                    else if (json.code == 2) {
                                                    }
                                                    else if (json.code == -1) {
                                                        alert(json.msg);
                                                        return;
                                                    }
                                                }
                                                else {
                                                    if (json.code == -1) {
                                                        alert("订单状态更新失败，请联系管理员");
                                                    }
                                                    else {
                                                        if (!that.hasBindEvent)
                                                            that.BindEvent();
                                                        that.hasBindEvent = true;
                                                    }
                                                }
                                            });
                                        }
                                        else {
                                            if (!that.hasBindEvent)
                                                that.BindEvent();
                                            that.hasBindEvent = true;
                                        }
                                    });
                                });
                            }
                            else if (data.istoPay) {
                            }
                        });
                    });
                });
            }
        }
    };
    TaobaoZFBPayPage.prototype.BindEvent = function () {
        var that = this;
        $('body').on('click', '#htbuttonPaySuccess', function (e) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCgInfoPayStateToSend, null, function () {
                if (that.isBatch == true) {
                    if (that.isSkipPay == false) {
                        if (that.json.code == 0) {
                            if (that.json.data.CgType == 26) {
                                window.location.href = "https://mobile.yangkeduo.com/personal.html";
                            }
                            else if (that.json.data.CgType == 1) {
                                window.location.href = "https://member1.taobao.com/member/fresh/account_security.htm";
                            }
                        }
                        else if (that.json.code == 1) {
                            alert("所选订单已全部采购完成");
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                            });
                            return;
                        }
                        else if (that.json.code == 2) {
                        }
                        else if (that.json.code == -1) {
                            alert(that.json.msg);
                            return;
                        }
                    }
                }
                else {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                    });
                    return;
                }
            });
            e.preventDefault();
            e.stopPropagation();
        });
        $('body').on('click', '#htbuttonPayNo', function (e) {
            if (that.isBatch == true) {
                if (that.isSkipPay == false) {
                    if (that.json.code == 0) {
                        if (that.json.data.CgType == 26) {
                            window.location.href = "https://mobile.yangkeduo.com/personal.html";
                        }
                        else if (that.json.data.CgType == 1) {
                            window.location.href = "https://member1.taobao.com/member/fresh/account_security.htm";
                        }
                    }
                    else if (that.json.code == 1) {
                        alert("所选订单已全部采购完成");
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                        });
                        return;
                    }
                    else if (that.json.code == 2) {
                    }
                    else if (that.json.code == -1) {
                        alert(that.json.msg);
                        return;
                    }
                }
            }
            else {
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.RefreshOrderTab, null, function () {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.ClearCurrentInfo, null, function () { });
                });
                return;
            }
        });
    };
    return TaobaoZFBPayPage;
}());
if (typeof (_TaobaoZFBPayPage) == "undefined") {
    _TaobaoZFBPayPage = true;
    console.log("TaobaoZFBPayPage - begin");
    new TaobaoZFBPayPage().Init();
}
