var TmallGoodsDetail = (function () {
    function TmallGoodsDetail() {
        this.checkVerifTimer = 0;
        this.sibGetTimer = 0;
        this.hasBindEvent = false;
        this.isLoad = false;
        this.isSendVerifData = false;
    }
    TmallGoodsDetail.prototype.Init = function () {
        var that = this;
        var loadTimer = window.setTimeout(function () {
            if (!that.isLoad) {
                that.isLoad = true;
                that.InitData();
            }
        }, 5000);
        window.onload = function () {
            window.clearTimeout(loadTimer);
            if (!that.isLoad) {
                that.isLoad = true;
                that.InitData();
            }
        };
    };
    TmallGoodsDetail.prototype.InitData = function () {
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetDataOfTmallGoodsDetail, null, function (response) {
            switch (response.BusinessType) {
                case 1:
                    that.winId = response.WinId;
                    that.tabId = response.TabId;
                    that.clientId = response.ClientID;
                    that.clientIP = response.ClientIP;
                    that.goodsId = response.GoodsID;
                    that.platId = response.PlatID;
                    that.recordId = response.RecordID;
                    that.outerTaskd = response.OuterTaskID;
                    that.GetSibData();
                    break;
                default:
                    break;
            }
        }, false);
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
            if (data.isCaigou) {
                that.getNiceName(function (name) {
                    if (name == "") {
                        window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                    }
                    else {
                        that.TaskTimer = window.setInterval(myFunction, 500);
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoSelectCgNumber, null, function (selectTaobaoCgNumberJson) {
                            if (selectTaobaoCgNumberJson != null && selectTaobaoCgNumberJson.name != "") {
                                var selectTaobaoNumber = selectTaobaoCgNumberJson.name;
                                if (selectTaobaoNumber == name) {
                                    if (data.isCaigou) {
                                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoAddressSuccess, null, function (isSuccessAdress) {
                                            if (isSuccessAdress) {
                                                that.ToCaigou();
                                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                                            }
                                            else {
                                                that.setAddress();
                                            }
                                        });
                                    }
                                }
                                else {
                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoSelectCgNumber, name, function () {
                                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoSelectCgNumber, name, function () {
                                            if (data.isCaigou) {
                                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoAddressSuccess, null, function (isSuccessAdress) {
                                                    if (isSuccessAdress) {
                                                        that.ToCaigou();
                                                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                                                    }
                                                    else {
                                                        that.setAddress();
                                                    }
                                                });
                                            }
                                        });
                                    });
                                }
                            }
                            else {
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoSelectCgNumber, name, function () {
                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoSelectCgNumber, name, function () {
                                        if (data.isCaigou) {
                                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetTaobaoAddressSuccess, null, function (isSuccessAdress) {
                                                if (isSuccessAdress) {
                                                    that.ToCaigou();
                                                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                                                }
                                                else {
                                                    that.setAddress();
                                                }
                                            });
                                        }
                                    });
                                });
                            }
                        });
                    }
                });
            }
        });
        function myFunction() {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                ModuleManager.Instance.cgOrderInfoModule.Init();
                window.clearInterval(that.TaskTimer);
            }
        }
        if (!that.hasBindEvent)
            that.BindEvent();
    };
    TmallGoodsDetail.prototype.getNiceName = function (callback) {
        if ($(".warnning-text").length > 0) {
            return;
        }
        else {
            var name = '';
            var userElement = document.querySelector(".site-nav-login-info-nick");
            if (userElement) {
                name = userElement.innerText;
            }
            else {
                userElement = document.querySelector('.user-nick');
                if (userElement) {
                    name = userElement.innerText;
                }
                else {
                    userElement = document.querySelector('.sn-user-nick');
                    if (userElement) {
                        name = userElement.innerText;
                    }
                }
            }
            if (callback) {
                callback(name);
            }
        }
    };
    TmallGoodsDetail.prototype.setAddress = function () {
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currentCginfo) {
            that.currentCgOrderInfo = currentCginfo.YangkeduoCaiGouOrderInfos[0];
            that.getTBAddress(that.currentCgOrderInfo.ReceiverName, that.currentCgOrderInfo.ReceiverPhone, that.currentCgOrderInfo.ReceiverAddress, function () { });
        });
    };
    TmallGoodsDetail.prototype.TaobaoSign = function (a) {
        function b(a, b) {
            return a << b | a >>> 32 - b;
        }
        function c(a, b) {
            var c, d, e, f, g;
            return e = 2147483648 & a, f = 2147483648 & b, c = 1073741824 & a, d = 1073741824 & b, g = (1073741823 & a) + (1073741823 & b), c & d ? 2147483648 ^ g ^ e ^ f : c | d ? 1073741824 & g ? 3221225472 ^ g ^ e ^ f : 1073741824 ^ g ^ e ^ f : g ^ e ^ f;
        }
        function d(a, b, c) {
            return a & b | ~a & c;
        }
        function e(a, b, c) {
            return a & c | b & ~c;
        }
        function f(a, b, c) {
            return a ^ b ^ c;
        }
        function g(a, b, c) {
            return b ^ (a | ~c);
        }
        function h(a, e, f, g, h, i, j) {
            return a = c(a, c(c(d(e, f, g), h), j)), c(b(a, i), e);
        }
        function i(a, d, f, g, h, i, j) {
            return a = c(a, c(c(e(d, f, g), h), j)), c(b(a, i), d);
        }
        function j(a, d, e, g, h, i, j) {
            return a = c(a, c(c(f(d, e, g), h), j)), c(b(a, i), d);
        }
        function k(a, d, e, f, h, i, j) {
            return a = c(a, c(c(g(d, e, f), h), j)), c(b(a, i), d);
        }
        function l(a) {
            for (var b, c = a.length, d = c + 8, e = (d - d % 64) / 64, f = 16 * (e + 1), g = new Array(f - 1), h = 0, i = 0; c > i;)
                b = (i - i % 4) / 4, h = i % 4 * 8, g[b] = g[b] | a.charCodeAt(i) << h, i++;
            return b = (i - i % 4) / 4, h = i % 4 * 8, g[b] = g[b] | 128 << h, g[f - 2] = c << 3, g[f - 1] = c >>> 29, g;
        }
        function m(a) {
            var b, c, d = "", e = "";
            for (c = 0; 3 >= c; c++)
                b = a >>> 8 * c & 255, e = "0" + b.toString(16), d += e.substr(e.length - 2, 2);
            return d;
        }
        function n(a) {
            a = a.replace(/\r\n/g, "\n");
            for (var b = "", c = 0; c < a.length; c++) {
                var d = a.charCodeAt(c);
                128 > d ? b += String.fromCharCode(d) : d > 127 && 2048 > d ? (b += String.fromCharCode(d >> 6 | 192), b += String.fromCharCode(63 & d | 128)) : (b += String.fromCharCode(d >> 12 | 224), b += String.fromCharCode(d >> 6 & 63 | 128), b += String.fromCharCode(63 & d | 128));
            }
            return b;
        }
        var o, p, q, r, s, t, u, v, w, x = [], y = 7, z = 12, A = 17, B = 22, C = 5, D = 9, E = 14, F = 20, G = 4, H = 11, I = 16, J = 23, K = 6, L = 10, M = 15, N = 21;
        for (a = n(a), x = l(a), t = 1732584193, u = 4023233417, v = 2562383102, w = 271733878, o = 0; o < x.length; o += 16)
            p = t, q = u, r = v, s = w, t = h(t, u, v, w, x[o + 0], y, 3614090360), w = h(w, t, u, v, x[o + 1], z, 3905402710), v = h(v, w, t, u, x[o + 2], A, 606105819), u = h(u, v, w, t, x[o + 3], B, 3250441966), t = h(t, u, v, w, x[o + 4], y, 4118548399), w = h(w, t, u, v, x[o + 5], z, 1200080426), v = h(v, w, t, u, x[o + 6], A, 2821735955), u = h(u, v, w, t, x[o + 7], B, 4249261313), t = h(t, u, v, w, x[o + 8], y, 1770035416), w = h(w, t, u, v, x[o + 9], z, 2336552879), v = h(v, w, t, u, x[o + 10], A, 4294925233), u = h(u, v, w, t, x[o + 11], B, 2304563134), t = h(t, u, v, w, x[o + 12], y, 1804603682), w = h(w, t, u, v, x[o + 13], z, 4254626195), v = h(v, w, t, u, x[o + 14], A, 2792965006), u = h(u, v, w, t, x[o + 15], B, 1236535329), t = i(t, u, v, w, x[o + 1], C, 4129170786), w = i(w, t, u, v, x[o + 6], D, 3225465664), v = i(v, w, t, u, x[o + 11], E, 643717713), u = i(u, v, w, t, x[o + 0], F, 3921069994), t = i(t, u, v, w, x[o + 5], C, 3593408605), w = i(w, t, u, v, x[o + 10], D, 38016083), v = i(v, w, t, u, x[o + 15], E, 3634488961), u = i(u, v, w, t, x[o + 4], F, 3889429448), t = i(t, u, v, w, x[o + 9], C, 568446438), w = i(w, t, u, v, x[o + 14], D, 3275163606), v = i(v, w, t, u, x[o + 3], E, 4107603335), u = i(u, v, w, t, x[o + 8], F, 1163531501), t = i(t, u, v, w, x[o + 13], C, 2850285829), w = i(w, t, u, v, x[o + 2], D, 4243563512), v = i(v, w, t, u, x[o + 7], E, 1735328473), u = i(u, v, w, t, x[o + 12], F, 2368359562), t = j(t, u, v, w, x[o + 5], G, 4294588738), w = j(w, t, u, v, x[o + 8], H, 2272392833), v = j(v, w, t, u, x[o + 11], I, 1839030562), u = j(u, v, w, t, x[o + 14], J, 4259657740), t = j(t, u, v, w, x[o + 1], G, 2763975236), w = j(w, t, u, v, x[o + 4], H, 1272893353), v = j(v, w, t, u, x[o + 7], I, 4139469664), u = j(u, v, w, t, x[o + 10], J, 3200236656), t = j(t, u, v, w, x[o + 13], G, 681279174), w = j(w, t, u, v, x[o + 0], H, 3936430074), v = j(v, w, t, u, x[o + 3], I, 3572445317), u = j(u, v, w, t, x[o + 6], J, 76029189), t = j(t, u, v, w, x[o + 9], G, 3654602809), w = j(w, t, u, v, x[o + 12], H, 3873151461), v = j(v, w, t, u, x[o + 15], I, 530742520), u = j(u, v, w, t, x[o + 2], J, 3299628645), t = k(t, u, v, w, x[o + 0], K, 4096336452), w = k(w, t, u, v, x[o + 7], L, 1126891415), v = k(v, w, t, u, x[o + 14], M, 2878612391), u = k(u, v, w, t, x[o + 5], N, 4237533241), t = k(t, u, v, w, x[o + 12], K, 1700485571), w = k(w, t, u, v, x[o + 3], L, 2399980690), v = k(v, w, t, u, x[o + 10], M, 4293915773), u = k(u, v, w, t, x[o + 1], N, 2240044497), t = k(t, u, v, w, x[o + 8], K, 1873313359), w = k(w, t, u, v, x[o + 15], L, 4264355552), v = k(v, w, t, u, x[o + 6], M, 2734768916), u = k(u, v, w, t, x[o + 13], N, 1309151649), t = k(t, u, v, w, x[o + 4], K, 4149444226), w = k(w, t, u, v, x[o + 11], L, 3174756917), v = k(v, w, t, u, x[o + 2], M, 718787259), u = k(u, v, w, t, x[o + 9], N, 3951481745), t = c(t, p), u = c(u, q), v = c(v, r), w = c(w, s);
        var O = m(t) + m(u) + m(v) + m(w);
        return O.toLowerCase();
    };
    TmallGoodsDetail.prototype.getCookie = function (name) {
        var strcookie = document.cookie;
        var arrcookie = strcookie.split("; ");
        for (var i = 0; i < arrcookie.length; i++) {
            var arr = arrcookie[i].split("=");
            if (arr[0] == name) {
                return arr[1];
            }
        }
        return "";
    };
    TmallGoodsDetail.prototype.getTBAddress = function (name, mobile, address, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var strdata = '{}';
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + strdata);
            var api = 'mtop.taobao.mbis.getdeliveraddrlist';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(strdata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.getdeliveraddrlist/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '' && (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1)) {
                    if (flage == 0) {
                        flage = 1;
                        var sindex = this.response.indexOf("(");
                        var eindex = this.response.length;
                        var retjson = this.response.substring(sindex + 1, eindex - 1);
                        var oldaddresslist = JSON.parse(JSON.parse(retjson).data.returnValue);
                        if (oldaddresslist != null && oldaddresslist.length > 0) {
                            var deliverId = 0;
                            for (var i = 0; i < oldaddresslist.length; i++) {
                                if (oldaddresslist[i].defaultAddress != undefined && oldaddresslist[i].defaultAddress == true) {
                                    deliverId = oldaddresslist[i].deliverId;
                                    break;
                                }
                            }
                            if (deliverId == 0) {
                                if (oldaddresslist.length >= 20) {
                                    var strJson = '{"deliverId":' + oldaddresslist[0].deliverId + '}';
                                    that.deleteTBAddress(name, mobile, address, 0, strJson, callBack);
                                    return;
                                }
                                else {
                                    deliverId = oldaddresslist[0].deliverId;
                                }
                            }
                            that.getTownAddress(name, mobile, address, 0, deliverId, callBack);
                        }
                        else {
                            that.getTownAddress(name, mobile, address, 0, 0, callBack);
                        }
                    }
                }
                else if (this.response != '' && (this.response.indexOf("过期") > -1 || this.response.indexOf("过期") > -1 || this.response.indexOf("非法请求") > -1)) {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                    window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                }
                else {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                    window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                }
            };
        }
        else {
            console.log("getTBAddress token为空！");
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
        }
    };
    TmallGoodsDetail.prototype.deleteTBAddress = function (name, mobile, address, tryCount, data, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + data);
            var api = 'mtop.taobao.mbis.deleteDeliverAddressById';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(data);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.getdeliveraddrlist/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        if (flage == 0) {
                            flage = 1;
                            that.getTownAddress(name, mobile, address, 0, 0, callBack);
                        }
                    }
                    else {
                        if (this.response.indexOf("调用失败") > -1 || this.response.indexOf("非法请求") > -1) {
                            if (tryCount == 0) {
                                tryCount++;
                                that.deleteTBAddress(name, mobile, address, tryCount, data, callBack);
                            }
                            else {
                                console.log("deleteTBAddress删除地址接口调用失败，跳转模拟点击操作");
                                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                                window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                            }
                        }
                        else {
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                        }
                    }
                }
            };
        }
        else {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
        }
    };
    TmallGoodsDetail.prototype.getTownAddress = function (name, mobile, address, tryCount, deliverId, callBack) {
        var that = this;
        var token = that.getCookie("_m_h5_tk");
        var flage = 0;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetProvinceCityCountyCode, 1, function (data) {
            if (data != false) {
                var province_id = data.ProvinceId;
                var city_id = data.CityId;
                var district_id = data.CountryId;
                var addressDetail = data.Address;
                var townId = "";
                var town = "";
                var Province = data.Province;
                var City = data.City;
                var Country = data.Country;
                var strdata = '{"sn":"suibianchuan","keywords":"' + addressDetail + '","prov":"' + Province + '","provId":"' + province_id + '","city":"' + City + '","cityId":"' + city_id + '","district":"' + Country + '","districtId":"' + district_id + '","addressDetail":"' + addressDetail + '","countryCode":"CN"}';
                if (token != '') {
                    token = token.split('_')[0];
                    var t = new Date().getTime();
                    var key = 12574478;
                    var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + strdata);
                    var api = 'mtop.cainiao.geography.frontend.address.validate';
                    var param = 'jsv=2.5.1' +
                        '&appKey=' + key +
                        '&t=' + t +
                        '&sign=' + sign +
                        '&api=' + api +
                        '&v=1.0' +
                        '&ecode=1' +
                        '&needLogin=true' +
                        '&timeout=20000' +
                        '&dataType=jsonp' +
                        '&type=jsonp' +
                        '&callback=mtopjsonp23' +
                        '&smToken=as' +
                        '&sm=e' +
                        '&data=' + encodeURIComponent(strdata);
                    var xmlhttp = new XMLHttpRequest();
                    xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.cainiao.geography.frontend.address.validate/1.0/?" + param);
                    xmlhttp.setRequestHeader('accept', '*/*');
                    xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
                    xmlhttp.setRequestHeader('cache-control', 'no-cache');
                    xmlhttp.setRequestHeader('pragma', 'no-cache');
                    xmlhttp.setRequestHeader('pragma', 'no-cache');
                    xmlhttp.withCredentials = true;
                    xmlhttp.send();
                    xmlhttp.onreadystatechange = function () {
                        if (this.response.indexOf("调用成功") > -1) {
                            if (flage == 0) {
                                flage = 1;
                                var sindex = this.response.indexOf("(");
                                var eindex = this.response.length;
                                var retjson = this.response.substring(sindex + 1, eindex - 1);
                                var address = JSON.parse(retjson).data.data.divisionParse;
                                if (address) {
                                    var townId = address.townId;
                                    var town = address.town;
                                    var townDivisionCode;
                                    if (townId == "" || townId == null) {
                                        townDivisionCode = district_id;
                                    }
                                    else {
                                        townDivisionCode = townId;
                                    }
                                    if (deliverId > 0) {
                                        var senddata = '{' +
                                            '"divisionCode":"' + townDivisionCode + '",' +
                                            '"townDivisionCode":"' + townDivisionCode + '",' +
                                            '"detailDivisionCode":"",' +
                                            '"addressDetail":"' + addressDetail + '",' +
                                            '"postCode":"","longitude":"28.166321","latitude":"113.647118",' +
                                            '"overseaAddress":false,' +
                                            '"fullName":"' + name + '",' +
                                            '"mobileCode":86,' +
                                            '"mobile":"' + mobile + '",' +
                                            '"phoneInternationalCode":86,' +
                                            '"phoneAreaCode":"",' +
                                            '"phoneNumber":"",' +
                                            '"phoneExtension":"",' +
                                            '"defaultDeliverAddress":true,' +
                                            '"acceptAddressName":false,' +
                                            '"province":"' + Province + '",' +
                                            '"city":"' + City + '",' +
                                            '"area":"' + Country + '",' +
                                            '"town":"' + town + '",' +
                                            '"deliverId":"' + deliverId + '"' +
                                            '}';
                                        that.updateTbAdress(tryCount, senddata, callBack);
                                    }
                                    else {
                                        var senddata = '{' +
                                            '"divisionCode":"' + townDivisionCode + '",' +
                                            '"townDivisionCode":"' + townDivisionCode + '",' +
                                            '"detailDivisionCode":"",' +
                                            '"addressDetail":"' + addressDetail + '",' +
                                            '"postCode":"",' +
                                            '"overseaAddress":false,' +
                                            '"fullName":"' + name + '",' +
                                            '"mobileCode":86,' +
                                            '"mobile":"' + mobile + '",' +
                                            '"phoneInternationalCode":86,' +
                                            '"phoneAreaCode":"",' +
                                            '"phoneNumber":"",' +
                                            '"phoneExtension":"",' +
                                            '"defaultDeliverAddress":true,' +
                                            '"acceptAddressName":false,' +
                                            '"province":"' + Province + '",' +
                                            '"city":"' + City + '",' +
                                            '"area":"' + Country + '",' +
                                            '"town":"' + town + '"' +
                                            '}';
                                        that.setTbAddress(tryCount, senddata, callBack);
                                    }
                                }
                                else {
                                    if (tryCount == 0) {
                                        tryCount++;
                                        return that.getTownAddress(name, mobile, address, tryCount, deliverId, callBack);
                                    }
                                    else {
                                        console.log("getTownAddress接口调用失败,跳转至模拟点击操作！");
                                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                                        window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                                    }
                                }
                            }
                        }
                    };
                }
                else {
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                    window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                }
            }
            else {
                return alert("地址匹配有误，请联系管理员！！！");
            }
        });
    };
    TmallGoodsDetail.prototype.setTbAddress = function (tryCount, senddata, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + senddata);
            var api = 'mtop.taobao.mbis.insertDeliverAddress';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(senddata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.insertdeliveraddress/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        if (flage == 0) {
                            flage = 1;
                            that.ToCaigou();
                        }
                    }
                    else {
                        if (tryCount == 0) {
                            tryCount++;
                            that.setTbAddress(tryCount, senddata, callBack);
                        }
                        else {
                            console.log("setTbAddress接口调用失败,跳转至模拟点击操作！");
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                        }
                    }
                }
            };
        }
        else {
            console.log("setTbAddress token为空！");
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
        }
    };
    TmallGoodsDetail.prototype.updateTbAdress = function (tryCount, senddata, callBack) {
        var that = this;
        var flage = 0;
        var token = that.getCookie("_m_h5_tk");
        if (token != '') {
            token = token.split('_')[0];
            var t = new Date().getTime();
            var key = 12574478;
            var sign = that.TaobaoSign(token + "&" + t + "&" + key + "&" + senddata);
            var api = 'mtop.taobao.mbis.updateDeliverAddress';
            var param = 'jsv=2.5.1' +
                '&appKey=' + key +
                '&t=' + t +
                '&sign=' + sign +
                '&api=' + api +
                '&v=1.0' +
                '&ecode=1' +
                '&needLogin=true' +
                '&timeout=20000' +
                '&dataType=jsonp' +
                '&type=jsonp' +
                '&callback=mtopjsonp23' +
                '&smToken=as' +
                '&sm=e' +
                '&data=' + encodeURIComponent(senddata);
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.open("get", "https://h5api.m.taobao.com/h5/mtop.taobao.mbis.updateDeliverAddress/1.0/?" + param);
            xmlhttp.setRequestHeader('accept', '*/*');
            xmlhttp.setRequestHeader('accept-language', 'zh-CN,zh;q=0.9');
            xmlhttp.setRequestHeader('cache-control', 'no-cache');
            xmlhttp.setRequestHeader('pragma', 'no-cache');
            xmlhttp.withCredentials = true;
            xmlhttp.send();
            xmlhttp.onreadystatechange = function () {
                if (this.response != '') {
                    if (this.response.indexOf("调用成功") > -1 || this.response.indexOf("操作成功") > -1) {
                        if (flage == 0) {
                            flage = 1;
                            that.ToCaigou();
                        }
                    }
                    else {
                        if (tryCount == 0) {
                            tryCount++;
                            that.updateTbAdress(tryCount, senddata, callBack);
                        }
                        else {
                            console.log("updateTbAdress接口调用失败,跳转至模拟点击操作！");
                            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
                            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
                        }
                    }
                }
            };
        }
        else {
            console.log("updateTbAdress token为空！");
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetTaobaoAddressSuccess, false, function () { });
            window.location.href = "https://member1.taobao.com/member/fresh/deliver_address.htm";
        }
    };
    TmallGoodsDetail.prototype.setChangeTaobaoSkuFun = function () {
        var that = this;
        var doms = document.getElementsByClassName("skuItem");
        if (doms.length > 0) {
            for (var i = 0; i < doms.length; i++) {
                var sku = document.getElementsByClassName("skuItem")[i].firstElementChild.attributes[0].nodeValue;
                var arr = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgSku.split('|');
                arr.forEach(function (cgsku) {
                    if (sku == cgsku) {
                        var doc = document.getElementsByClassName("skuItem")[i].click();
                    }
                });
            }
        }
    };
    TmallGoodsDetail.prototype.ToCaigou = function () {
        var that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SelectGoodSku, null, function (currCaigouInfo) {
            that.currCaigouInfo = currCaigouInfo;
            if (that.currCaigouInfo != null) {
                if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                    if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgSku != undefined && that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgSku != null && that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgSku != "") {
                        if (that.currCaigouInfo.isAutoSku == true) {
                            that.setChangeTaobaoSkuFun();
                        }
                    }
                }
            }
        });
        that.TaskTimer1 = window.setInterval(myFunction1, 100);
        function myFunction1() {
            var value = "";
            if ($(".Price--priceText--2nLbVda").length > 0) {
                value = $(".Price--priceText--2nLbVda")[0].text();
            }
            else if ($(".tb-rmb-num").length > 0) {
                value = $(".tb-rmb-num")[0].innerText;
            }
            var price = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].GoodsPriceRMB;
            var cgfreight = document.getElementsByClassName("freight")[0].innerHTML
                .replace("快递 ¥", "")
                .replace(" ", "")
                .replace("快递: ", "")
                .replace("运费", "")
                .replace("快递 ", "");
            if (cgfreight.indexOf("包邮") > -1 || cgfreight.indexOf("免")) {
                cgfreight = "0.00";
            }
            var EstimatedProfit;
            if ($("#CgPrice")) {
                if (value.indexOf("-") > -1) {
                    $("#CgPrice").text("— —");
                    $("#EstimatedProfit").innerText = "￥ 0.00";
                }
                else {
                    $("#CgPrice").text("￥ " + (Number(cgfreight) + Number(value)).toFixed(2));
                    EstimatedProfit = (Number(price) - Number((Number(cgfreight) + Number(value)).toFixed(2))).toFixed(2);
                    $("#EstimatedProfit").text("￥ " + EstimatedProfit);
                }
                $("#CgFreight").text("￥ " + cgfreight);
            }
            var xdsku = "";
            var doms = document.getElementsByClassName("tb-selected");
            if (doms.length > 0) {
                for (var i = 0; i < doms.length; i++) {
                    if (document.getElementsByClassName("tb-selected")[i].parentElement.dataset.property != undefined) {
                        xdsku += document.getElementsByClassName("tb-selected")[i].parentElement.dataset.property + ":" + document.getElementsByClassName("tb-selected")[i].children[0].children[0].innerText;
                        if (i + 1 < doms.length) {
                            xdsku += ",";
                        }
                    }
                }
            }
            if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].CgSku != xdsku) {
                $(".ht_xdskusvg")[0].style = "display: block;position:absolute;margin-top: -16px;margin-left: 53px;";
                $("#ht_xdskuDiv")[0].style.background = "#FDE1E1";
                $("#ht_xdsku")[0].style = "width: 125px;height: 17px;font-size: 12px;line-height: 20px;color: #f44336;opacity: 1;font-weight: bold;margin-left: 16px;";
            }
            else {
                $(".ht_xdskusvg")[0].style = "display:none";
                $("#ht_xdskuDiv")[0].style.background = "#FFF7ED";
                $("#ht_xdsku")[0].style = "width: 125px;height: 17px;font-size: 12px;font-family: Alibaba PuHuiTi 2.0;font-weight: normal;line-height: 20px;color: #333333;opacity: 1;font-weight: bold;";
            }
            $("#ht_xdskuDiv")[0].style.display = "block";
            $("#ht_xdsku")[0].innerText = xdsku;
        }
    };
    TmallGoodsDetail.prototype.GetSibData = function () {
        var that = this;
        if (!this.SoldOutCheck()) {
            return;
        }
        if (!this.CheckVerif()) {
            if (this.checkVerifTimer == 0) {
                this.checkVerifTimer = window.setInterval(function () {
                    TmallGoodsDetail.Instance.GetSibData();
                }, 2000);
            }
            this.ShowMaxPage();
            return;
        }
        if (this.checkVerifTimer > 0) {
            window.clearInterval(this.checkVerifTimer);
        }
        var html = window.document.documentElement.outerHTML;
        try {
            var html3 = html.substring(html.indexOf("TShop.Setup(") + 12);
            var jsonStr = html3.substring(0, html3.indexOf(');'));
            var g_config = JSON.parse(jsonStr);
            TmallGoodsDetail.Instance.g_config = g_config;
            console.log(g_config);
            var html1 = html.substring(html.indexOf("<script src=\"//mdskip.taobao.com/core/initItemDetail.htm") + 13);
            var html2 = html1.substring(0, html1.indexOf('"></script>'));
            html2 = "https:" + html2;
            html2 = html2.replace(/amp;/g, '');
            html2 = html2.replace("callback=setMdskip", "callback=onSibDataOfPlugin").replace("callback=onMdskip", "callback=onSibDataOfPlugin");
            window.removeEventListener("OnSibDataEvent", TmallGoodsDetail.Instance.OnSibDataEvent);
            window.addEventListener("OnSibDataEvent", TmallGoodsDetail.Instance.OnSibDataEvent);
            var jsonpScript = document.createElement('script');
            jsonpScript.text = "function onSibDataOfPlugin(data) {\n                                    console.log('jsonp', data , 123);\n                                    var loadContentJsEndEvent = new CustomEvent('OnSibDataEvent', {\n                                        detail: data\n                                    });\n                                    if (window.dispatchEvent) {\n                                        window.dispatchEvent(loadContentJsEndEvent);\n                                    } else {\n                                        window.fireEvent(loadContentJsEndEvent);\n                                    }\n                                }";
            document.body.appendChild(jsonpScript);
            var script = document.createElement('script');
            script.type = 'text/javascript';
            script.setAttribute('id', 'sxx');
            script.src = html2;
            if (TmallGoodsDetail.Instance.sibGetTimer == 0) {
                TmallGoodsDetail.Instance.sibGetTimer = window.setTimeout(function () {
                    var body = new HttpMessage.SendPDDGoodsDetailDataRequet_1202();
                    body.ClientID = that.clientId;
                    body.ClientIP = that.clientIP;
                    body.GoodsID = that.goodsId;
                    body.PlatID = that.platId;
                    body.RecordID = that.recordId;
                    body.OuterTaskID = that.outerTaskd;
                    body.State = 2;
                    body.Message = "获取数据超时";
                    body.GoodsDetailData = "";
                    ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendTbOrTmallData, body, function (data) {
                        var request1 = new ExtensionShortMessage.CloseWindowRequest();
                        request1.WinId = that.winId;
                        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CloseWindow, request1, function () { });
                    });
                }, 10000);
            }
            document.body.appendChild(script);
        }
        catch (e) {
            TmallGoodsDetail.Instance.OnSibDataEvent(null);
        }
    };
    TmallGoodsDetail.prototype.OnSibDataEvent = function (event) {
        if (TmallGoodsDetail.Instance.sibGetTimer > 0) {
            window.clearTimeout(TmallGoodsDetail.Instance.sibGetTimer);
        }
        if (event && event.detail != null) {
            TmallGoodsDetail.Instance.sibData = event.detail;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.AjaxGet, { Url: ("https://" + TmallGoodsDetail.Instance.g_config.api.descUrl).replace("https:////", "https://"), Body: null }, function (data) {
                data = data.substring(10, data.lastIndexOf("';"));
                TmallGoodsDetail.Instance.OnDescDataEvent(data);
            });
        }
        else {
            TmallGoodsDetail.Instance.sibData = null;
            TmallGoodsDetail.Instance.OnDescDataEvent(null);
        }
    };
    TmallGoodsDetail.prototype.OnDescDataEvent = function (data) {
        TmallGoodsDetail.Instance.descData = data;
        TmallGoodsDetail.Instance.GetTmallGoodDetailData();
    };
    TmallGoodsDetail.prototype.GetTmallGoodDetailData = function () {
        console.log(this.sibData);
        var data = new Data();
        data.images = [];
        data.skus = [];
        data.specs = [];
        data.attributes = [];
        var that = this;
        var liList = $("#J_UlThumb").find("li");
        for (var i = 0; i < liList.length; i++) {
            var li = liList[i];
            if ($(li).attr("id") == "J_VideoThumb")
                continue;
            var url = "https:" + $(li).find("img").attr("src");
            url = url.replace("60x60", "").replace("https:https://", "https://");
            data.images.push(url);
        }
        if (data.images.length > 0)
            data.mainImage = data.images[0];
        var skuList = [];
        var dls = $(".tb-sku dl.tb-prop");
        for (var i = 0; i < dls.length; i++) {
            if ($(dls[i]).parent().attr("class") != "tb-sku")
                continue;
            if ($(dls[i]).attr("id") == "J_regionSellServer" || $(dls[i]).attr("id") == "J_Progressive")
                continue;
            var specObj = new Spec();
            specObj.name = $(dls[i]).find("dt").text();
            specObj.values = [];
            var skuObj = new _Sku();
            skuObj.name = specObj.name;
            skuObj.values = [];
            var lis_1 = $(dls[i]).find("dd").find("ul").find("li");
            if (typeof ($(lis_1[0]).attr("data-value")) == "undefined")
                continue;
            for (var j = 0; j < lis_1.length; j++) {
                var element = $(lis_1[j])[0];
                if (element != null) {
                    var style = getComputedStyle(element);
                    if (style.display == "none") {
                        continue;
                    }
                }
                var sku1Obj = new SkuItem();
                sku1Obj.value = $(lis_1[j]).attr("data-value");
                sku1Obj.showname = $(lis_1[j]).find("span").text();
                var a_style = $(lis_1[j]).find("a").attr("style");
                try {
                    sku1Obj.imageurl = "https:" + a_style.substring(a_style.indexOf("url(") + 4, a_style.indexOf(")"));
                    sku1Obj.imageurl = sku1Obj.imageurl.replace("https:https://", "https://");
                    if (sku1Obj.imageurl.length > 10) {
                        sku1Obj.imageurl = sku1Obj.imageurl.replace("_30x30.jpg", "").replace("_40x40.jpg", "").replace("_50x50.jpg", "").replace("_60x60.jpg", "")
                            .replace("30x30", "").replace("40x40", "").replace("50x50", "").replace("60x60", "");
                    }
                }
                catch (e) {
                }
                specObj.values.push(sku1Obj.showname);
                skuObj.values.push(sku1Obj);
            }
            data.specs.push(specObj);
            skuList.push(skuObj);
        }
        var minPrice = 0;
        var baseData = TmallGoodsDetail.Instance.g_config;
        try {
            for (var key in baseData.valItemInfo.skuMap) {
                var sku = new Sku();
                sku.skuId = baseData.valItemInfo.skuMap[key].skuId;
                try {
                    sku.price = Number(TmallGoodsDetail.Instance.sibData.defaultModel.itemPriceResultDO.priceInfo[sku.skuId].price);
                    if (TmallGoodsDetail.Instance.sibData.defaultModel.itemPriceResultDO.priceInfo[sku.skuId].promotionList &&
                        TmallGoodsDetail.Instance.sibData.defaultModel.itemPriceResultDO.priceInfo[sku.skuId].promotionList.length > 0) {
                        sku.price = Number(TmallGoodsDetail.Instance.sibData.defaultModel.itemPriceResultDO.priceInfo[sku.skuId].promotionList[0].price);
                    }
                }
                catch (e) {
                    sku.price = Number(baseData.valItemInfo.skuMap[key].price);
                }
                if (minPrice == 0)
                    minPrice = sku.price;
                else if (sku.price < minPrice)
                    minPrice = sku.price;
                try {
                    if (TmallGoodsDetail.Instance.sibData.defaultModel.inventoryDO &&
                        TmallGoodsDetail.Instance.sibData.defaultModel.inventoryDO.skuQuantity &&
                        TmallGoodsDetail.Instance.sibData.defaultModel.inventoryDO.skuQuantity[sku.skuId]) {
                        sku.quantity = TmallGoodsDetail.Instance.sibData.defaultModel.inventoryDO.skuQuantity[sku.skuId].quantity;
                    }
                    else {
                        if (data.skus.length > 0) {
                            sku.quantity = data.skus[0].quantity;
                        }
                    }
                }
                catch (e) {
                    if (data.skus.length > 0) {
                        sku.quantity = data.skus[0].quantity;
                    }
                }
                sku.skuValueInfo = "";
                sku.skuKeyInfo = "";
                sku.specs = [];
                for (var j = 0; j < skuList.length; j++) {
                    sku.skuKeyInfo += (skuList[j].name + ":");
                }
                var strList = key.split(';');
                for (var i = 1; i < strList.length - 1; i++) {
                    for (var j = 0; j < skuList.length; j++) {
                        for (var k = 0; k < skuList[j].values.length; k++) {
                            if (skuList[j].values[k].value == strList[i]) {
                                var spec = new Spec_sku();
                                spec.spec_key = skuList[j].name;
                                spec.spec_value = skuList[j].values[k].showname;
                                spec.image = skuList[j].values[k].imageurl;
                                sku.specs.push(spec);
                                sku.skuValueInfo += (skuList[j].values[k].showname + ":");
                            }
                        }
                    }
                }
                if (sku.specs.length == skuList.length)
                    data.skus.push(sku);
            }
            if (data.skus && data.skus.length > 0) {
                var skuTmpList = [];
                for (var i = 0; i < baseData.valItemInfo.skuList.length; i++) {
                    for (var j = 0; j < data.skus.length; j++) {
                        if (baseData.valItemInfo.skuList[i].skuId ==
                            data.skus[j].skuId) {
                            skuTmpList.push(data.skus[j]);
                            break;
                        }
                    }
                }
                data.skus = skuTmpList;
            }
        }
        catch (e) {
            data.skus = [];
        }
        try {
            if (typeof (baseData.valItemInfo) == "undefined" || (baseData.valItemInfo.skuMap.length == 0 && minPrice == 0)) {
                minPrice = TmallGoodsDetail.Instance.sibData.defaultModel.itemPriceResultDO.priceInfo.def.price;
            }
        }
        catch (e) {
        }
        data.price = minPrice;
        data.title = baseData.itemDO.title;
        data.inventory = baseData.itemDO.quantity;
        data.itemId = baseData.itemDO.itemId;
        var lis = $("#J_AttrUL").find("li");
        for (var i = 0; i < lis.length; i++) {
            var p_list = $(lis[i]).find("p");
            if (p_list.length > 0) {
                for (var j = 0; j < p_list.length; j++) {
                    data.attributes.push($(p_list[j]).text());
                }
            }
            else {
                data.attributes.push($(lis[i]).text());
            }
        }
        data.categoryId = baseData.itemDO.categoryId;
        data.desc = TmallGoodsDetail.Instance.descData;
        console.log(data);
        var data_str = JSON.stringify(data);
        that.SendTmallGoodDetailData(data_str, data);
    };
    TmallGoodsDetail.prototype.SoldOutCheck = function () {
        var that = this;
        if (document.getElementsByClassName("sold-out-tit").length > 0) {
            var body = new HttpMessage.SendPDDGoodsDetailDataRequet_1202();
            body.ClientID = this.clientId;
            body.ClientIP = this.clientIP;
            body.GoodsID = this.goodsId;
            body.PlatID = this.platId;
            body.RecordID = this.recordId;
            body.OuterTaskID = this.outerTaskd;
            body.State = 2;
            body.Message = "商品已下架";
            body.GoodsDetailData = "";
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendTbOrTmallData, body, function (data) {
                var request1 = new ExtensionShortMessage.CloseWindowRequest();
                request1.WinId = that.winId;
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CloseWindow, request1, function () { });
            });
            return false;
        }
        return true;
    };
    TmallGoodsDetail.prototype.CheckVerif = function () {
        var that = this;
        var doc = document.documentElement.outerHTML;
        if (doc.indexOf('\"NCTOKENSTR\":') > -1) {
            return false;
        }
        if (document.getElementById("container") != null) {
            return false;
        }
        var element = document.querySelector('.baxia-dialog');
        if (element != null) {
            var style = getComputedStyle(element);
            if (style.display == "block") {
                return false;
            }
        }
        return true;
    };
    TmallGoodsDetail.prototype.SendTmallGoodDetailData = function (datastr, obj) {
        var that = this;
        var body = new HttpMessage.SendPDDGoodsDetailDataRequet_1202();
        body.ClientID = this.clientId;
        body.ClientIP = this.clientIP;
        body.GoodsID = this.goodsId;
        body.GoodsName = obj.title;
        body.PlatID = this.platId;
        body.RecordID = this.recordId;
        body.OuterTaskID = this.outerTaskd;
        body.State = 1;
        body.GoodsDetailData = datastr;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendTbOrTmallData, body, function (data) {
            var request1 = new ExtensionShortMessage.CloseWindowRequest();
            request1.WinId = that.winId;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CloseWindow, request1, function () { });
        });
    };
    TmallGoodsDetail.prototype.ShowMaxPage = function () {
        var that = this;
        var request = new ExtensionShortMessage.UpdateWindowRequest();
        request.WinId = that.winId;
        request.DrawAttention = true;
        request.Focused = true;
        request.State = "maximized";
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.UpdateWindow, request, function (data) {
        });
        if (!TmallGoodsDetail.Instance.isSendVerifData) {
            var body = new HttpMessage.SendPDDGoodsDetailDataRequet_1202();
            body.ClientID = this.clientId;
            body.ClientIP = this.clientIP;
            body.GoodsID = this.goodsId;
            body.PlatID = this.platId;
            body.RecordID = this.recordId;
            body.OuterTaskID = this.outerTaskd;
            body.State = 4;
            body.Message = "需要验证";
            body.GoodsDetailData = "";
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendTbOrTmallData, body, function (data) {
            });
            TmallGoodsDetail.Instance.isSendVerifData = true;
        }
    };
    TmallGoodsDetail.prototype.BindEvent = function () {
        var that = this;
        $('body').on('click', '#ht_2YJgLay_OK', function () {
            if (window.location.href.indexOf("chaoshi.detail.tmall.com") > -1) {
                Utils.Instance.AlertWarning("不支持天猫超市产品下单！", 2500);
                return;
            }
            else {
                $('.Actions--leftBtn--3kx8kg8').eq(0).click();
            }
        });
    };
    return TmallGoodsDetail;
}());
var Data = (function () {
    function Data() {
    }
    return Data;
}());
var Spec = (function () {
    function Spec() {
    }
    return Spec;
}());
var Spec_sku = (function () {
    function Spec_sku() {
    }
    return Spec_sku;
}());
var _Sku = (function () {
    function _Sku() {
    }
    return _Sku;
}());
var Sku = (function () {
    function Sku() {
    }
    return Sku;
}());
var SkuItem = (function () {
    function SkuItem() {
    }
    return SkuItem;
}());
if (typeof (_TmallGoodsDetail) == "undefined") {
    _TmallGoodsDetail = true;
    console.log("TmallGoodsDetail - begin");
    TmallGoodsDetail.Instance = new TmallGoodsDetail();
    TmallGoodsDetail.Instance.Init();
}
