class YangkeduoOrderCheckOutPage {
    constructor() {
        this.hasBindEvent = false;
    }
    Init() {
        const that = this;
        var s = document.createElement('script');
        s.src = chrome.runtime.getURL('injected.js');
        s.onload = function () {
            this.remove();
        };
        (document.head || document.documentElement).appendChild(s);
        window.addEventListener('message', function (e) {
            debugger;
            console.log('content script received:', e.data.type, e.data.data);
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.setPddOrderCodeByApi, e.data.data, function (data) { });
        });
        if (!that.hasBindEvent)
            that.BindEvent();
        function myFunction() {
            if (ModuleManager.Instance.cgOrderInfoModule.Init) {
                ModuleManager.Instance.cgOrderInfoModule.Init(function () {
                });
                window.clearInterval(that.TaskTimer);
            }
        }
        that.payprice = that.choseZfbPay();
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetCurrentCaiGouInfo, null, function (currCaigouInfo) {
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetIsCaigouOrIsExpress, null, function (data) {
                if (data.isCaigou) {
                    that.TaskTimer = window.setInterval(myFunction, 500);
                    that.currCaigouInfo = currCaigouInfo;
                    if (that.currCaigouInfo != null) {
                        if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos.length > 0) {
                            if (that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0] != null) {
                                that.price = that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0].GoodsPriceRMB;
                                that.EstimatedProfit = (Number(that.price) - Number(that.payprice)).toFixed(2);
                                let index = window.document.documentElement.outerHTML.indexOf("window.rawData=");
                                let str1 = window.document.documentElement.outerHTML.substring(index + 15);
                                let index1 = str1.indexOf("};");
                                let datastr = str1.substring(0, index1 + 1);
                                let addressinfo = JSON.parse(datastr);
                                that.LastReceiverName = addressinfo.store.addressInfo.name;
                                that.LastReceiverPhone = addressinfo.store.addressInfo.mobile;
                                that.LastReceiverAddress = addressinfo.store.addressInfo.province + " " + addressinfo.store.addressInfo.city + " " + addressinfo.store.addressInfo.district + " " + addressinfo.store.addressInfo.address;
                                that.XdTime = (new Date()).valueOf();
                                that.PicUrl = addressinfo.store.goodsInfo.thumbUrl.replace('u002F', '');
                                that.Title = addressinfo.store.goodsInfo.name;
                                that.SkuPrice = (addressinfo.store.goodsInfo.goodsAmount * 0.01).toFixed(2);
                                console.log(that.PicUrl, that.Title, that.SkuPrice);
                                that.lastsku = "";
                                var domsChild = document.getElementsByClassName("gRTiW2y7")[0].children;
                                for (var i = 0; i < domsChild.length; i++) {
                                    that.lastsku += domsChild[i].innerText + ";";
                                }
                                if (that.lastsku == "") {
                                    that.lastsku = document.getElementsByClassName("_34vsO1hu")[0].innerText;
                                }
                                that.TaskTimer1 = window.setInterval(ShowCgPrice1, 100);
                                that.setChangePddSkuFun(that.currCaigouInfo.YangkeduoCaiGouOrderInfos[0]);
                            }
                        }
                    }
                }
            });
        });
        function ShowCgPrice1() {
            try {
                if ($("#CgPrice")) {
                    var dee = document.querySelectorAll('#order_checkout div');
                    if (dee && dee.length > 0) {
                        for (var i = 0; i < dee.length; i++) {
                            if (dee[i].innerText.indexOf('实付款') > -1 && dee[i].id != 'main' && dee[i].innerText.indexOf('微信') < 0) {
                                var fr = dee[i].querySelectorAll('span');
                                for (var j = 0; j < fr.length; j++) {
                                    if (fr[j].innerText.indexOf('¥') > -1) {
                                        that.payprice = parseFloat(fr[j].innerText.replace('¥', ''));
                                        break;
                                    }
                                }
                            }
                        }
                    }
                    that.EstimatedProfit = (Number(that.price) - Number(that.payprice)).toFixed(2);
                    $("#CgPrice")[0].innerText = "￥ " + that.payprice;
                    $("#EstimatedProfit")[0].innerText = "￥ " + that.EstimatedProfit;
                    $("#CgFreight")[0].innerText = "￥ 0.00";
                    $("#ht_xdskuDiv")[0].style.display = "block";
                    $("#ht_xdsku")[0].innerText = that.lastsku;
                }
            }
            catch (e) {
            }
        }
    }
    setChangePddSkuFun(data) {
        const that = this;
        that.checkPddAddress(data.ReceiverName, data.ReceiverPhone, data.ReceiverAddress, function (content, name, mobile, address) {
            if (content && content != '') {
                if (content.indexOf(name) > -1 && content.indexOf(mobile) > -1) {
                    try {
                        if (content.indexOf('&nbsp;') > -1) {
                            var addressArry = content.split('%')[1].split('&nbsp;');
                            if (addressArry != null && addressArry.length > 0) {
                                if (address.indexOf(addressArry[1]) < 0 && address.indexOf(addressArry[1].slice(0, -1)) < 0) {
                                    that.TaskTimer2 = window.setInterval(myFunction2, 100);
                                    Utils.Instance.Confirm("提示", "付款页面的收货人信息（地址）与订单收货信息不符，请进行核对！", "取消", "确认", function () { }, function () { });
                                    return;
                                }
                                else {
                                    that.clickPddPay();
                                }
                            }
                        }
                        else {
                            var addressArry = content.split('%')[1].split(' ');
                            if (addressArry != null && addressArry.length > 0) {
                                if (address.indexOf(addressArry[1]) < 0 && address.indexOf(addressArry[1].slice(0, -1)) < 0) {
                                    that.TaskTimer2 = window.setInterval(myFunction2, 100);
                                    Utils.Instance.Confirm("提示", "付款页面的收货人信息（地址）与订单收货信息不符，请进行核对！", "取消", "确认", function () { }, function () { });
                                    return;
                                }
                                else {
                                    that.clickPddPay();
                                }
                            }
                        }
                    }
                    catch (e) {
                        console.log(e);
                    }
                }
                else {
                    that.TaskTimer2 = window.setInterval(myFunction2, 100);
                    Utils.Instance.Confirm("提示", "付款页面的收货人信息（地址）与订单收货信息不符，请进行核对！", "取消", "确认", function () { }, function () { });
                }
            }
        });
        function myFunction2() {
            if ($("#ht_errmsg").length > 0) {
                $("#ht_errmsg")[0].style.display = "block";
                $("#hthd_address_color")[0].style.background = "#FFF7ED";
                $("#ht_line1")[0].style.display = "none";
                window.clearInterval(that.TaskTimer2);
            }
        }
    }
    choseZfbPay() {
        var price = 0;
        var eles = document.querySelectorAll('#main div div div div div');
        if (eles && eles.length > 0) {
            var isHave = false;
            for (var ele of eles) {
                if (ele && ele.innerText.indexOf('支付宝') > -1) {
                    isHave = true;
                    ele.querySelector('span').click();
                }
                if (ele && ele.innerText.indexOf('微信') > -1) {
                    isHave = true;
                    ele.parentElement.parentElement.style.display = "none";
                }
            }
            if (!isHave) {
                alert('没有支付宝支付！');
            }
        }
        var dee = document.querySelectorAll('#order_checkout div');
        if (dee && dee.length > 0) {
            for (var i = 0; i < dee.length; i++) {
                if (dee[i].innerText.indexOf('实付款') > -1 && dee[i].id != 'main' && dee[i].innerText.indexOf('微信') < 0) {
                    var fr = dee[i].querySelectorAll('span');
                    for (var j = 0; j < fr.length; j++) {
                        if (fr[j].innerText.indexOf('¥') > -1) {
                            price = parseFloat(fr[j].innerText.replace('¥', ''));
                            break;
                        }
                    }
                }
            }
        }
        return price;
    }
    checkPddAddress(name, mobile, address, callback) {
        try {
            let index = window.document.documentElement.outerHTML.indexOf("window.rawData=");
            let str1 = window.document.documentElement.outerHTML.substring(index + 15);
            let index1 = str1.indexOf("};");
            let datastr = str1.substring(0, index1 + 1);
            let data = JSON.parse(datastr);
            if (data.store.addressInfo) {
                if (callback) {
                    callback(data.store.addressInfo.name + data.store.addressInfo.mobile + "%" + data.store.addressInfo.province + " " + data.store.addressInfo.city + " " + data.store.addressInfo.district + " " + data.store.addressInfo.address, name, mobile, address);
                }
            }
            else {
                var eles = document.querySelectorAll('.oc-address-info div div');
                if (eles && eles.length > 0) {
                    callback(eles[1].innerText + "%" + eles[2].innerText, name, mobile, address);
                }
                else {
                    alert("未获取到页面地址信息，请人工确认订单信息");
                    return;
                }
            }
        }
        catch (e) {
            alert("执行异常联系管理员");
            return;
        }
    }
    BindEvent() {
        const that = this;
        $('body').on('click', '.x7SLg_Nx ', function () {
            that.clickPddPay();
        });
        $('body').on('click', '#htbuttonSubmit', function () {
            $(".x7SLg_Nx")[0].click();
        });
    }
    clickPddPay() {
        const that = this;
        var data = {
            CgPrice: that.payprice,
            CgFreight: '0.00',
            EstimatedProfit: that.EstimatedProfit,
            LastReceiverName: that.LastReceiverName,
            LastReceiverPhone: that.LastReceiverPhone,
            LastReceiverAddress: that.LastReceiverAddress,
            XdTime: that.XdTime,
            LastCgSku: that.lastsku,
            PicUrl: that.PicUrl,
            Title: that.Title,
            SkuPrice: that.SkuPrice,
        };
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SetCurrentOrderInfo, data, function () { });
        if (that.currCaigouInfo.isAutoPay) {
            var payEle = document.querySelectorAll('.x7SLg_Nx');
            if (payEle.length > 0) {
                var active = payEle[0].dataset.active;
                console.log(active);
                if (active == 'red') {
                    payEle[0].click();
                }
                else {
                    var errorEle = document.querySelectorAll('._37A5M9jx');
                    if (errorEle.length > 0) {
                        return errorEle[0].children[0].innerText;
                    }
                }
            }
        }
    }
}
console.log("YangkeduoOrderCheckOutPage - begin");
new YangkeduoOrderCheckOutPage().Init();
